import{S as Lc,i as Nc,s as Ic,e as n,k as f,w,t as r,M as Xc,c as s,d as t,m as h,a as i,x as C,h as a,b as m,G as e,g as v,y,q as $,o as k,B as T,v as Bc,L as U}from"../../chunks/vendor-hf-doc-builder.js";import{T as Bt}from"../../chunks/Tip-hf-doc-builder.js";import{D}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Z}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as ie}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as R}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Hc(V){let c,_,d,p,b;return p=new Z({props:{code:`from transformers import Wav2Vec2ConformerConfig, Wav2Vec2ConformerModel

# Initializing a Wav2Vec2Conformer facebook/wav2vec2-conformer-rel-pos-large style configuration
configuration = Wav2Vec2ConformerConfig()

# Initializing a model (with random weights) from the facebook/wav2vec2-conformer-rel-pos-large style configuration
model = Wav2Vec2ConformerModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2ConformerConfig, Wav2Vec2ConformerModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Wav2Vec2Conformer facebook/wav2vec2-conformer-rel-pos-large style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = Wav2Vec2ConformerConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the facebook/wav2vec2-conformer-rel-pos-large style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Wav2Vec2ConformerModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){c=n("p"),_=r("Example:"),d=f(),w(p.$$.fragment)},l(l){c=s(l,"P",{});var u=i(c);_=a(u,"Example:"),u.forEach(t),d=h(l),C(p.$$.fragment,l)},m(l,u){v(l,c,u),e(c,_),v(l,d,u),y(p,l,u),b=!0},p:U,i(l){b||($(p.$$.fragment,l),b=!0)},o(l){k(p.$$.fragment,l),b=!1},d(l){l&&t(c),l&&t(d),T(p,l)}}}function Rc(V){let c,_,d,p,b;return{c(){c=n("p"),_=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=n("code"),p=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=s(l,"P",{});var u=i(c);_=a(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=s(u,"CODE",{});var W=i(d);p=a(W,"Module"),W.forEach(t),b=a(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){v(l,c,u),e(c,_),e(c,d),e(d,p),e(c,b)},d(l){l&&t(c)}}}function Uc(V){let c,_,d,p,b;return p=new Z({props:{code:`from transformers import Wav2Vec2Processor, Wav2Vec2ConformerModel
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

feature_extractor = Wav2Vec2Processor.from_pretrained("facebook/wav2vec2-conformer-rope-large-960h-ft")
model = Wav2Vec2ConformerModel.from_pretrained("facebook/wav2vec2-conformer-rope-large-960h-ft")

# audio file is decoded on the fly
inputs = feature_extractor(dataset[0]["audio"]["array"], sampling_rate=sampling_rate, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.argmax(logits, dim=-1).item()
predicted_label = model.config.id2label[predicted_class_ids]
predicted_label`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2Processor, Wav2Vec2ConformerModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = Wav2Vec2Processor.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-conformer-rope-large-960h-ft&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Wav2Vec2ConformerModel.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-conformer-rope-large-960h-ft&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.argmax(logits, dim=-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = model.config.id2label[predicted_class_ids]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label
[<span class="hljs-number">1</span>, <span class="hljs-number">292</span>, <span class="hljs-number">1024</span>]`}}),{c(){c=n("p"),_=r("Example:"),d=f(),w(p.$$.fragment)},l(l){c=s(l,"P",{});var u=i(c);_=a(u,"Example:"),u.forEach(t),d=h(l),C(p.$$.fragment,l)},m(l,u){v(l,c,u),e(c,_),v(l,d,u),y(p,l,u),b=!0},p:U,i(l){b||($(p.$$.fragment,l),b=!0)},o(l){k(p.$$.fragment,l),b=!1},d(l){l&&t(c),l&&t(d),T(p,l)}}}function Zc(V){let c,_;return c=new Z({props:{code:`# compute loss - target_label is e.g. "down"
target_label = model.config.id2label[0]
inputs["labels"] = torch.tensor([model.config.label2id[target_label]])
loss = model(**inputs).loss
round(loss.item(), 2)
`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute loss - target_label is e.g. &quot;down&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_label = model.config.id2label[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs[<span class="hljs-string">&quot;labels&quot;</span>] = torch.tensor([model.config.label2id[target_label]])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
`}}),{c(){w(c.$$.fragment)},l(d){C(c.$$.fragment,d)},m(d,p){y(c,d,p),_=!0},p:U,i(d){_||($(c.$$.fragment,d),_=!0)},o(d){k(c.$$.fragment,d),_=!1},d(d){T(c,d)}}}function Qc(V){let c,_,d,p,b;return{c(){c=n("p"),_=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=n("code"),p=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=s(l,"P",{});var u=i(c);_=a(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=s(u,"CODE",{});var W=i(d);p=a(W,"Module"),W.forEach(t),b=a(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){v(l,c,u),e(c,_),e(c,d),e(d,p),e(c,b)},d(l){l&&t(c)}}}function Kc(V){let c,_,d,p,b;return p=new Z({props:{code:`from transformers import Wav2Vec2Processor, Wav2Vec2ConformerForCTC
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

processor = Wav2Vec2Processor.from_pretrained("facebook/wav2vec2-conformer-rope-large-960h-ft")
model = Wav2Vec2ConformerForCTC.from_pretrained("facebook/wav2vec2-conformer-rope-large-960h-ft")

# audio file is decoded on the fly
inputs = processor(dataset[0]["audio"]["array"], sampling_rate=sampling_rate, return_tensors="pt")
with torch.no_grad():
    logits = model(**inputs).logits
predicted_ids = torch.argmax(logits, dim=-1)

# transcribe speech
transcription = processor.batch_decode(predicted_ids)
transcription[0]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2Processor, Wav2Vec2ConformerForCTC
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = Wav2Vec2Processor.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-conformer-rope-large-960h-ft&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Wav2Vec2ConformerForCTC.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-conformer-rope-large-960h-ft&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_ids = torch.argmax(logits, dim=-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># transcribe speech</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>transcription = processor.batch_decode(predicted_ids)
<span class="hljs-meta">&gt;&gt;&gt; </span>transcription[<span class="hljs-number">0</span>]
<span class="hljs-string">&#x27;MISTER QUILTER IS THE APOSTLE OF THE MIDDLE CLASSES AND WE ARE GLAD TO WELCOME HIS GOSPEL&#x27;</span>`}}),{c(){c=n("p"),_=r("Example:"),d=f(),w(p.$$.fragment)},l(l){c=s(l,"P",{});var u=i(c);_=a(u,"Example:"),u.forEach(t),d=h(l),C(p.$$.fragment,l)},m(l,u){v(l,c,u),e(c,_),v(l,d,u),y(p,l,u),b=!0},p:U,i(l){b||($(p.$$.fragment,l),b=!0)},o(l){k(p.$$.fragment,l),b=!1},d(l){l&&t(c),l&&t(d),T(p,l)}}}function Gc(V){let c,_;return c=new Z({props:{code:`inputs["labels"] = processor(text=dataset[0]["text"], return_tensors="pt").input_ids

# compute loss
loss = model(**inputs).loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>inputs[<span class="hljs-string">&quot;labels&quot;</span>] = processor(text=dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;text&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_ids

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute loss</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">64.21</span>`}}),{c(){w(c.$$.fragment)},l(d){C(c.$$.fragment,d)},m(d,p){y(c,d,p),_=!0},p:U,i(d){_||($(c.$$.fragment,d),_=!0)},o(d){k(c.$$.fragment,d),_=!1},d(d){T(c,d)}}}function Jc(V){let c,_,d,p,b;return{c(){c=n("p"),_=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=n("code"),p=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=s(l,"P",{});var u=i(c);_=a(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=s(u,"CODE",{});var W=i(d);p=a(W,"Module"),W.forEach(t),b=a(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){v(l,c,u),e(c,_),e(c,d),e(d,p),e(c,b)},d(l){l&&t(c)}}}function Yc(V){let c,_,d,p,b;return p=new Z({props:{code:`from transformers import Wav2Vec2FeatureExtractor, Wav2Vec2ConformerForSequenceClassification
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

feature_extractor = Wav2Vec2FeatureExtractor.from_pretrained("hf-internal-testing/wav2vec2-conformer-seq-class")
model = Wav2Vec2ConformerForSequenceClassification.from_pretrained("hf-internal-testing/wav2vec2-conformer-seq-class")

# audio file is decoded on the fly
inputs = feature_extractor(dataset[0]["audio"]["array"], sampling_rate=sampling_rate, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.argmax(logits, dim=-1).item()
predicted_label = model.config.id2label[predicted_class_ids]
predicted_label`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2FeatureExtractor, Wav2Vec2ConformerForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = Wav2Vec2FeatureExtractor.from_pretrained(<span class="hljs-string">&quot;hf-internal-testing/wav2vec2-conformer-seq-class&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Wav2Vec2ConformerForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;hf-internal-testing/wav2vec2-conformer-seq-class&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.argmax(logits, dim=-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = model.config.id2label[predicted_class_ids]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label
<span class="hljs-string">&#x27;LABEL_0&#x27;</span>`}}),{c(){c=n("p"),_=r("Example:"),d=f(),w(p.$$.fragment)},l(l){c=s(l,"P",{});var u=i(c);_=a(u,"Example:"),u.forEach(t),d=h(l),C(p.$$.fragment,l)},m(l,u){v(l,c,u),e(c,_),v(l,d,u),y(p,l,u),b=!0},p:U,i(l){b||($(p.$$.fragment,l),b=!0)},o(l){k(p.$$.fragment,l),b=!1},d(l){l&&t(c),l&&t(d),T(p,l)}}}function ed(V){let c,_;return c=new Z({props:{code:`# compute loss - target_label is e.g. "down"
target_label = model.config.id2label[0]
inputs["labels"] = torch.tensor([model.config.label2id[target_label]])
loss = model(**inputs).loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute loss - target_label is e.g. &quot;down&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_label = model.config.id2label[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs[<span class="hljs-string">&quot;labels&quot;</span>] = torch.tensor([model.config.label2id[target_label]])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.68</span>`}}),{c(){w(c.$$.fragment)},l(d){C(c.$$.fragment,d)},m(d,p){y(c,d,p),_=!0},p:U,i(d){_||($(c.$$.fragment,d),_=!0)},o(d){k(c.$$.fragment,d),_=!1},d(d){T(c,d)}}}function od(V){let c,_,d,p,b;return{c(){c=n("p"),_=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=n("code"),p=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=s(l,"P",{});var u=i(c);_=a(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=s(u,"CODE",{});var W=i(d);p=a(W,"Module"),W.forEach(t),b=a(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){v(l,c,u),e(c,_),e(c,d),e(d,p),e(c,b)},d(l){l&&t(c)}}}function td(V){let c,_,d,p,b;return p=new Z({props:{code:`from transformers import Wav2Vec2FeatureExtractor, Wav2Vec2ConformerForAudioFrameClassification
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

feature_extractor = Wav2Vec2FeatureExtractor.from_pretrained("hf-internal-testing/wav2vec2-conformer-frame-class")
model = Wav2Vec2ConformerForAudioFrameClassification.from_pretrained("hf-internal-testing/wav2vec2-conformer-frame-class")

# audio file is decoded on the fly
inputs = feature_extractor(dataset[0]["audio"]["array"], sampling_rate=sampling_rate, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.argmax(logits, dim=-1).item()
predicted_label = model.config.id2label[predicted_class_ids]
predicted_label`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2FeatureExtractor, Wav2Vec2ConformerForAudioFrameClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = Wav2Vec2FeatureExtractor.from_pretrained(<span class="hljs-string">&quot;hf-internal-testing/wav2vec2-conformer-frame-class&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Wav2Vec2ConformerForAudioFrameClassification.from_pretrained(<span class="hljs-string">&quot;hf-internal-testing/wav2vec2-conformer-frame-class&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.argmax(logits, dim=-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = model.config.id2label[predicted_class_ids]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label
[<span class="hljs-number">1</span>, <span class="hljs-number">0</span>]`}}),{c(){c=n("p"),_=r("Example:"),d=f(),w(p.$$.fragment)},l(l){c=s(l,"P",{});var u=i(c);_=a(u,"Example:"),u.forEach(t),d=h(l),C(p.$$.fragment,l)},m(l,u){v(l,c,u),e(c,_),v(l,d,u),y(p,l,u),b=!0},p:U,i(l){b||($(p.$$.fragment,l),b=!0)},o(l){k(p.$$.fragment,l),b=!1},d(l){l&&t(c),l&&t(d),T(p,l)}}}function rd(V){let c,_;return c=new Z({props:{code:`# compute loss - target_label is e.g. "down"
target_label = model.config.id2label[0]
inputs["labels"] = torch.tensor([model.config.label2id[target_label]])
loss = model(**inputs).loss
round(loss.item(), 2)
`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute loss - target_label is e.g. &quot;down&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_label = model.config.id2label[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs[<span class="hljs-string">&quot;labels&quot;</span>] = torch.tensor([model.config.label2id[target_label]])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
`}}),{c(){w(c.$$.fragment)},l(d){C(c.$$.fragment,d)},m(d,p){y(c,d,p),_=!0},p:U,i(d){_||($(c.$$.fragment,d),_=!0)},o(d){k(c.$$.fragment,d),_=!1},d(d){T(c,d)}}}function ad(V){let c,_,d,p,b;return{c(){c=n("p"),_=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=n("code"),p=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=s(l,"P",{});var u=i(c);_=a(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=s(u,"CODE",{});var W=i(d);p=a(W,"Module"),W.forEach(t),b=a(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){v(l,c,u),e(c,_),e(c,d),e(d,p),e(c,b)},d(l){l&&t(c)}}}function nd(V){let c,_,d,p,b;return p=new Z({props:{code:`from transformers import Wav2Vec2FeatureExtractor, Wav2Vec2ConformerForXVector
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

feature_extractor = Wav2Vec2FeatureExtractor.from_pretrained("hf-internal-testing/wav2vec2-conformer-xvector")
model = Wav2Vec2ConformerForXVector.from_pretrained("hf-internal-testing/wav2vec2-conformer-xvector")

# audio file is decoded on the fly
inputs = feature_extractor(dataset[0]["audio"]["array"], sampling_rate=sampling_rate, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.argmax(logits, dim=-1).item()
predicted_label = model.config.id2label[predicted_class_ids]
predicted_label`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> Wav2Vec2FeatureExtractor, Wav2Vec2ConformerForXVector
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = Wav2Vec2FeatureExtractor.from_pretrained(<span class="hljs-string">&quot;hf-internal-testing/wav2vec2-conformer-xvector&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Wav2Vec2ConformerForXVector.from_pretrained(<span class="hljs-string">&quot;hf-internal-testing/wav2vec2-conformer-xvector&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.argmax(logits, dim=-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = model.config.id2label[predicted_class_ids]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label
<span class="hljs-number">1.0</span>`}}),{c(){c=n("p"),_=r("Example:"),d=f(),w(p.$$.fragment)},l(l){c=s(l,"P",{});var u=i(c);_=a(u,"Example:"),u.forEach(t),d=h(l),C(p.$$.fragment,l)},m(l,u){v(l,c,u),e(c,_),v(l,d,u),y(p,l,u),b=!0},p:U,i(l){b||($(p.$$.fragment,l),b=!0)},o(l){k(p.$$.fragment,l),b=!1},d(l){l&&t(c),l&&t(d),T(p,l)}}}function sd(V){let c,_;return c=new Z({props:{code:`# compute loss - target_label is e.g. "down"
target_label = model.config.id2label[0]
inputs["labels"] = torch.tensor([model.config.label2id[target_label]])
loss = model(**inputs).loss
round(loss.item(), 2)
`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute loss - target_label is e.g. &quot;down&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_label = model.config.id2label[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs[<span class="hljs-string">&quot;labels&quot;</span>] = torch.tensor([model.config.label2id[target_label]])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
`}}),{c(){w(c.$$.fragment)},l(d){C(c.$$.fragment,d)},m(d,p){y(c,d,p),_=!0},p:U,i(d){_||($(c.$$.fragment,d),_=!0)},o(d){k(c.$$.fragment,d),_=!1},d(d){T(c,d)}}}function id(V){let c,_,d,p,b;return{c(){c=n("p"),_=r("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=n("code"),p=r("Module"),b=r(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){c=s(l,"P",{});var u=i(c);_=a(u,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=s(u,"CODE",{});var W=i(d);p=a(W,"Module"),W.forEach(t),b=a(u,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),u.forEach(t)},m(l,u){v(l,c,u),e(c,_),e(c,d),e(d,p),e(c,b)},d(l){l&&t(c)}}}function ld(V){let c,_,d,p,b;return p=new Z({props:{code:`import torch
from transformers import AutoFeatureExtractor, Wav2Vec2ConformerForPreTraining
from transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer import (
    _compute_mask_indices,
    _sample_negative_indices,
)
from datasets import load_dataset

feature_extractor = AutoFeatureExtractor.from_pretrained("facebook/wav2vec2-conformer-rel-pos-large")
model = Wav2Vec2ConformerForPreTraining.from_pretrained("facebook/wav2vec2-conformer-rel-pos-large")

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
input_values = feature_extractor(ds[0]["audio"]["array"], return_tensors="pt").input_values  # Batch size 1

# compute masked indices
batch_size, raw_sequence_length = input_values.shape
sequence_length = model._get_feat_extract_output_lengths(raw_sequence_length).item()
mask_time_indices = _compute_mask_indices(
    shape=(batch_size, sequence_length), mask_prob=0.2, mask_length=2
)
sampled_negative_indices = _sample_negative_indices(
    features_shape=(batch_size, sequence_length),
    num_negatives=model.config.num_negatives,
    mask_time_indices=mask_time_indices,
)
mask_time_indices = torch.tensor(data=mask_time_indices, device=input_values.device, dtype=torch.long)
sampled_negative_indices = torch.tensor(
    data=sampled_negative_indices, device=input_values.device, dtype=torch.long
)

with torch.no_grad():
    outputs = model(input_values, mask_time_indices=mask_time_indices)

# compute cosine similarity between predicted (=projected_states) and target (=projected_quantized_states)
cosine_sim = torch.cosine_similarity(outputs.projected_states, outputs.projected_quantized_states, dim=-1)

# show that cosine similarity is much higher than random
cosine_sim[mask_time_indices.to(torch.bool)].mean() > 0.5

# for contrastive loss training model should be put into train mode
model = model.train()
loss = model(
    input_values, mask_time_indices=mask_time_indices, sampled_negative_indices=sampled_negative_indices
).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, Wav2Vec2ConformerForPreTraining
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer <span class="hljs-keyword">import</span> (
<span class="hljs-meta">... </span>    _compute_mask_indices,
<span class="hljs-meta">... </span>    _sample_negative_indices,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-conformer-rel-pos-large&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = Wav2Vec2ConformerForPreTraining.from_pretrained(<span class="hljs-string">&quot;facebook/wav2vec2-conformer-rel-pos-large&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>input_values = feature_extractor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>).input_values  <span class="hljs-comment"># Batch size 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute masked indices</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>batch_size, raw_sequence_length = input_values.shape
<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_length = model._get_feat_extract_output_lengths(raw_sequence_length).item()
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_time_indices = _compute_mask_indices(
<span class="hljs-meta">... </span>    shape=(batch_size, sequence_length), mask_prob=<span class="hljs-number">0.2</span>, mask_length=<span class="hljs-number">2</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampled_negative_indices = _sample_negative_indices(
<span class="hljs-meta">... </span>    features_shape=(batch_size, sequence_length),
<span class="hljs-meta">... </span>    num_negatives=model.config.num_negatives,
<span class="hljs-meta">... </span>    mask_time_indices=mask_time_indices,
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_time_indices = torch.tensor(data=mask_time_indices, device=input_values.device, dtype=torch.long)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampled_negative_indices = torch.tensor(
<span class="hljs-meta">... </span>    data=sampled_negative_indices, device=input_values.device, dtype=torch.long
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(input_values, mask_time_indices=mask_time_indices)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># compute cosine similarity between predicted (=projected_states) and target (=projected_quantized_states)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>cosine_sim = torch.cosine_similarity(outputs.projected_states, outputs.projected_quantized_states, dim=-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># show that cosine similarity is much higher than random</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>cosine_sim[mask_time_indices.to(torch.<span class="hljs-built_in">bool</span>)].mean() &gt; <span class="hljs-number">0.5</span>
tensor(<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># for contrastive loss training model should be put into train mode</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = model.train()
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(
<span class="hljs-meta">... </span>    input_values, mask_time_indices=mask_time_indices, sampled_negative_indices=sampled_negative_indices
<span class="hljs-meta">... </span>).loss`}}),{c(){c=n("p"),_=r("Example:"),d=f(),w(p.$$.fragment)},l(l){c=s(l,"P",{});var u=i(c);_=a(u,"Example:"),u.forEach(t),d=h(l),C(p.$$.fragment,l)},m(l,u){v(l,c,u),e(c,_),v(l,d,u),y(p,l,u),b=!0},p:U,i(l){b||($(p.$$.fragment,l),b=!0)},o(l){k(p.$$.fragment,l),b=!1},d(l){l&&t(c),l&&t(d),T(p,l)}}}function cd(V){let c,_,d,p,b,l,u,W,Ma,Sr,le,je,Ht,no,Aa,Rt,za,Or,xe,Sa,so,Oa,Da,Dr,ut,La,Lr,Fe,Na,io,Ia,Xa,Nr,gt,Ba,Ir,N,Q,Ha,Ut,Ra,Ua,Zt,Za,Qa,lo,Ka,Ga,Ja,Qt,Ya,en,Kt,on,tn,co,rn,Gt,an,nn,Xr,J,sn,mo,ln,cn,po,dn,mn,Br,ce,qe,Jt,fo,pn,Yt,fn,Hr,L,ho,hn,de,un,_t,gn,_n,uo,vn,bn,wn,me,Cn,vt,yn,$n,bt,kn,Tn,Vn,Ee,Rr,pe,Pe,er,go,Wn,or,jn,Ur,fe,_o,xn,vo,Fn,wt,qn,En,Zr,he,Me,tr,bo,Pn,rr,Mn,Qr,q,wo,An,Co,zn,yo,Sn,On,Dn,$o,Ln,Ct,Nn,In,Xn,ko,Bn,To,Hn,Rn,Un,M,Vo,Zn,ue,Qn,yt,Kn,Gn,ar,Jn,Yn,es,Ae,os,ze,ts,Se,Kr,ge,Oe,nr,Wo,rs,sr,as,Gr,E,jo,ns,_e,ss,ir,is,ls,xo,cs,ds,ms,Fo,ps,$t,fs,hs,us,qo,gs,Eo,_s,vs,bs,A,Po,ws,ve,Cs,kt,ys,$s,lr,ks,Ts,Vs,De,Ws,Le,js,Ne,Jr,be,Ie,cr,Mo,xs,dr,Fs,Yr,j,Ao,qs,mr,Es,Ps,zo,Ms,So,As,zs,Ss,Oo,Os,Tt,Ds,Ls,Ns,Do,Is,Lo,Xs,Bs,Hs,z,No,Rs,we,Us,Vt,Zs,Qs,pr,Ks,Gs,Js,Xe,Ys,Be,ei,He,ea,Ce,Re,fr,Io,oi,hr,ti,oa,x,Xo,ri,ur,ai,ni,Bo,si,Ho,ii,li,ci,Ro,di,Wt,mi,pi,fi,Uo,hi,Zo,ui,gi,_i,S,Qo,vi,ye,bi,jt,wi,Ci,gr,yi,$i,ki,Ue,Ti,Ze,Vi,Qe,ta,$e,Ke,_r,Ko,Wi,vr,ji,ra,F,Go,xi,br,Fi,qi,Jo,Ei,Yo,Pi,Mi,Ai,et,zi,xt,Si,Oi,Di,ot,Li,tt,Ni,Ii,Xi,O,rt,Bi,ke,Hi,Ft,Ri,Ui,wr,Zi,Qi,Ki,Ge,Gi,Je,Ji,Ye,aa,Te,eo,Cr,at,Yi,yr,el,na,P,nt,ol,Ve,tl,$r,rl,al,st,nl,sl,il,it,ll,qt,cl,dl,ml,lt,pl,ct,fl,hl,ul,I,dt,gl,We,_l,Et,vl,bl,kr,wl,Cl,yl,oo,$l,to,sa;return l=new ie({}),no=new ie({}),fo=new ie({}),ho=new D({props:{name:"class transformers.Wav2Vec2ConformerConfig",anchor:"transformers.Wav2Vec2ConformerConfig",parameters:[{name:"vocab_size",val:" = None"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout",val:" = 0.1"},{name:"activation_dropout",val:" = 0.1"},{name:"attention_dropout",val:" = 0.1"},{name:"feat_proj_dropout",val:" = 0.0"},{name:"feat_quantizer_dropout",val:" = 0.0"},{name:"final_dropout",val:" = 0.1"},{name:"layerdrop",val:" = 0.1"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-05"},{name:"feat_extract_norm",val:" = 'group'"},{name:"feat_extract_activation",val:" = 'gelu'"},{name:"conv_dim",val:" = (512, 512, 512, 512, 512, 512, 512)"},{name:"conv_stride",val:" = (5, 2, 2, 2, 2, 2, 2)"},{name:"conv_kernel",val:" = (10, 3, 3, 3, 3, 2, 2)"},{name:"conv_bias",val:" = False"},{name:"num_conv_pos_embeddings",val:" = 128"},{name:"num_conv_pos_embedding_groups",val:" = 16"},{name:"apply_spec_augment",val:" = True"},{name:"mask_time_prob",val:" = 0.05"},{name:"mask_time_length",val:" = 10"},{name:"mask_time_min_masks",val:" = 2"},{name:"mask_feature_prob",val:" = 0.0"},{name:"mask_feature_length",val:" = 10"},{name:"mask_feature_min_masks",val:" = 0"},{name:"num_codevectors_per_group",val:" = 320"},{name:"num_codevector_groups",val:" = 2"},{name:"contrastive_logits_temperature",val:" = 0.1"},{name:"num_negatives",val:" = 100"},{name:"codevector_dim",val:" = 256"},{name:"proj_codevector_dim",val:" = 256"},{name:"diversity_loss_weight",val:" = 0.1"},{name:"ctc_loss_reduction",val:" = 'sum'"},{name:"ctc_zero_infinity",val:" = False"},{name:"use_weighted_layer_sum",val:" = False"},{name:"classifier_proj_size",val:" = 256"},{name:"tdnn_dim",val:" = (512, 512, 512, 512, 1500)"},{name:"tdnn_kernel",val:" = (5, 3, 3, 1, 1)"},{name:"tdnn_dilation",val:" = (1, 2, 3, 1, 1)"},{name:"xvector_output_dim",val:" = 512"},{name:"pad_token_id",val:" = 0"},{name:"bos_token_id",val:" = 1"},{name:"eos_token_id",val:" = 2"},{name:"add_adapter",val:" = False"},{name:"adapter_kernel_size",val:" = 3"},{name:"adapter_stride",val:" = 2"},{name:"num_adapter_layers",val:" = 3"},{name:"output_hidden_size",val:" = None"},{name:"position_embeddings_type",val:" = 'relative'"},{name:"rotary_embedding_base",val:" = 10000"},{name:"max_source_positions",val:" = 5000"},{name:"conv_depthwise_kernel_size",val:" = 31"},{name:"conformer_conv_dropout",val:" = 0.1"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Vocabulary size of the Wav2Vec2Conformer model. Defines the number of different tokens that can be
represented by the <code>inputs_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerModel">Wav2Vec2ConformerModel</a>. Vocabulary size of the
model. Defines the different tokens that can be represented by the <em>inputs_ids</em> passed to the forward
method of <a href="/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerModel">Wav2Vec2ConformerModel</a>.`,name:"vocab_size"},{anchor:"transformers.Wav2Vec2ConformerConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.Wav2Vec2ConformerConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.Wav2Vec2ConformerConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.Wav2Vec2ConformerConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (i.e., feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.Wav2Vec2ConformerConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>function</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;selu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.Wav2Vec2ConformerConfig.hidden_dropout",description:`<strong>hidden_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout"},{anchor:"transformers.Wav2Vec2ConformerConfig.attention_dropout",description:`<strong>attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_dropout"},{anchor:"transformers.Wav2Vec2ConformerConfig.final_dropout",description:`<strong>final_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for the final projection layer of <a href="/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerForCTC">Wav2Vec2ConformerForCTC</a>.`,name:"final_dropout"},{anchor:"transformers.Wav2Vec2ConformerConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.Wav2Vec2ConformerConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.Wav2Vec2ConformerConfig.feat_extract_norm",description:`<strong>feat_extract_norm</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;group&quot;</code>) &#x2014;
The norm to be applied to 1D convolutional layers in feature encoder. One of <code>&quot;group&quot;</code> for group
normalization of only the first 1D convolutional layer or <code>&quot;layer&quot;</code> for layer normalization of all 1D
convolutional layers.`,name:"feat_extract_norm"},{anchor:"transformers.Wav2Vec2ConformerConfig.feat_proj_dropout",description:`<strong>feat_proj_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probability for output of the feature encoder.`,name:"feat_proj_dropout"},{anchor:"transformers.Wav2Vec2ConformerConfig.feat_extract_activation",description:"<strong>feat_extract_activation</strong> (<code>str, </code>optional<code>, defaults to </code>&#x201C;gelu&#x201D;<code>) -- The non-linear activation function (function or string) in the 1D convolutional layers of the feature extractor. If string, </code>&#x201C;gelu&#x201D;<code>, </code>&#x201C;relu&#x201D;<code>, </code>&#x201C;selu&#x201D;<code>and</code>&#x201C;gelu_new&#x201D;` are supported.",name:"feat_extract_activation"},{anchor:"transformers.Wav2Vec2ConformerConfig.feat_quantizer_dropout",description:`<strong>feat_quantizer_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probabilitiy for quantized feature encoder states.`,name:"feat_quantizer_dropout"},{anchor:"transformers.Wav2Vec2ConformerConfig.conv_dim",description:`<strong>conv_dim</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(512, 512, 512, 512, 512, 512, 512)</code>) &#x2014;
A tuple of integers defining the number of input and output channels of each 1D convolutional layer in the
feature encoder. The length of <em>conv_dim</em> defines the number of 1D convolutional layers.`,name:"conv_dim"},{anchor:"transformers.Wav2Vec2ConformerConfig.conv_stride",description:`<strong>conv_stride</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(5, 2, 2, 2, 2, 2, 2)</code>) &#x2014;
A tuple of integers defining the stride of each 1D convolutional layer in the feature encoder. The length
of <em>conv_stride</em> defines the number of convolutional layers and has to match the length of <em>conv_dim</em>.`,name:"conv_stride"},{anchor:"transformers.Wav2Vec2ConformerConfig.conv_kernel",description:`<strong>conv_kernel</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(10, 3, 3, 3, 3, 3, 3)</code>) &#x2014;
A tuple of integers defining the kernel size of each 1D convolutional layer in the feature encoder. The
length of <em>conv_kernel</em> defines the number of convolutional layers and has to match the length of
<em>conv_dim</em>.`,name:"conv_kernel"},{anchor:"transformers.Wav2Vec2ConformerConfig.conv_bias",description:`<strong>conv_bias</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether the 1D convolutional layers have a bias.`,name:"conv_bias"},{anchor:"transformers.Wav2Vec2ConformerConfig.num_conv_pos_embeddings",description:`<strong>num_conv_pos_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
Number of convolutional positional embeddings. Defines the kernel size of 1D convolutional positional
embeddings layer.`,name:"num_conv_pos_embeddings"},{anchor:"transformers.Wav2Vec2ConformerConfig.num_conv_pos_embedding_groups",description:`<strong>num_conv_pos_embedding_groups</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014;
Number of groups of 1D convolutional positional embeddings layer.`,name:"num_conv_pos_embedding_groups"},{anchor:"transformers.Wav2Vec2ConformerConfig.apply_spec_augment",description:`<strong>apply_spec_augment</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to apply <em>SpecAugment</em> data augmentation to the outputs of the feature encoder. For reference see
<a href="https://arxiv.org/abs/1904.08779" rel="nofollow">SpecAugment: A Simple Data Augmentation Method for Automatic Speech
Recognition</a>.`,name:"apply_spec_augment"},{anchor:"transformers.Wav2Vec2ConformerConfig.mask_time_prob",description:`<strong>mask_time_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.05) &#x2014;
Percentage (between 0 and 1) of all feature vectors along the time axis which will be masked. The masking
procecure generates &#x201D;mask_time_prob<em>len(time_axis)/mask_time_length&#x201D; independent masks over the axis. If
reasoning from the propability of each feature vector to be chosen as the start of the vector span to be
masked, </em>mask_time_prob<em> should be \`prob_vector_start</em>mask_time_length<code>. Note that overlap may decrease the actual percentage of masked vectors. This is only relevant if </code>apply_spec_augment is True\`.`,name:"mask_time_prob"},{anchor:"transformers.Wav2Vec2ConformerConfig.mask_time_length",description:`<strong>mask_time_length</strong> (<code>int</code>, <em>optional</em>, defaults to 10) &#x2014;
Length of vector span along the time axis.`,name:"mask_time_length"},{anchor:"transformers.Wav2Vec2ConformerConfig.mask_time_min_masks",description:`<strong>mask_time_min_masks</strong> (<code>int</code>, <em>optional</em>, defaults to 2), &#x2014;
The minimum number of masks of length <code>mask_feature_length</code> generated along the time axis, each time step,
irrespectively of <code>mask_feature_prob</code>. Only relevant if &#x201D;mask_time_prob*len(time_axis)/mask_time_length &lt;
mask_time_min_masks&#x201D;`,name:"mask_time_min_masks"},{anchor:"transformers.Wav2Vec2ConformerConfig.mask_feature_prob",description:`<strong>mask_feature_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Percentage (between 0 and 1) of all feature vectors along the feature axis which will be masked. The
masking procecure generates &#x201D;mask_feature_prob<em>len(feature_axis)/mask_time_length&#x201D; independent masks over
the axis. If reasoning from the propability of each feature vector to be chosen as the start of the vector
span to be masked, </em>mask_feature_prob<em> should be \`prob_vector_start</em>mask_feature_length<code>. Note that overlap may decrease the actual percentage of masked vectors. This is only relevant if </code>apply_spec_augment is
True\`.`,name:"mask_feature_prob"},{anchor:"transformers.Wav2Vec2ConformerConfig.mask_feature_length",description:`<strong>mask_feature_length</strong> (<code>int</code>, <em>optional</em>, defaults to 10) &#x2014;
Length of vector span along the feature axis.`,name:"mask_feature_length"},{anchor:"transformers.Wav2Vec2ConformerConfig.mask_feature_min_masks",description:`<strong>mask_feature_min_masks</strong> (<code>int</code>, <em>optional</em>, defaults to 0), &#x2014;
The minimum number of masks of length <code>mask_feature_length</code> generated along the feature axis, each time
step, irrespectively of <code>mask_feature_prob</code>. Only relevant if
&#x201D;mask_feature_prob*len(feature_axis)/mask_feature_length &lt; mask_feature_min_masks&#x201D;`,name:"mask_feature_min_masks"},{anchor:"transformers.Wav2Vec2ConformerConfig.num_codevectors_per_group",description:`<strong>num_codevectors_per_group</strong> (<code>int</code>, <em>optional</em>, defaults to 320) &#x2014;
Number of entries in each quantization codebook (group).`,name:"num_codevectors_per_group"},{anchor:"transformers.Wav2Vec2ConformerConfig.num_codevector_groups",description:`<strong>num_codevector_groups</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
Number of codevector groups for product codevector quantization.`,name:"num_codevector_groups"},{anchor:"transformers.Wav2Vec2ConformerConfig.contrastive_logits_temperature",description:`<strong>contrastive_logits_temperature</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The temperature <em>kappa</em> in the contrastive loss.`,name:"contrastive_logits_temperature"},{anchor:"transformers.Wav2Vec2ConformerConfig.feat_quantizer_dropout",description:`<strong>feat_quantizer_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout probabilitiy for the output of the feature encoder that&#x2019;s used by the quantizer.`,name:"feat_quantizer_dropout"},{anchor:"transformers.Wav2Vec2ConformerConfig.num_negatives",description:`<strong>num_negatives</strong> (<code>int</code>, <em>optional</em>, defaults to 100) &#x2014;
Number of negative samples for the contrastive loss.`,name:"num_negatives"},{anchor:"transformers.Wav2Vec2ConformerConfig.codevector_dim",description:`<strong>codevector_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
Dimensionality of the quantized feature vectors.`,name:"codevector_dim"},{anchor:"transformers.Wav2Vec2ConformerConfig.proj_codevector_dim",description:`<strong>proj_codevector_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
Dimensionality of the final projection of both the quantized and the transformer features.`,name:"proj_codevector_dim"},{anchor:"transformers.Wav2Vec2ConformerConfig.diversity_loss_weight",description:`<strong>diversity_loss_weight</strong> (<code>int</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The weight of the codebook diversity loss component.`,name:"diversity_loss_weight"},{anchor:"transformers.Wav2Vec2ConformerConfig.ctc_loss_reduction",description:`<strong>ctc_loss_reduction</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;sum&quot;</code>) &#x2014;
Specifies the reduction to apply to the output of <code>torch.nn.CTCLoss</code>. Only relevant when training an
instance of <a href="/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerForCTC">Wav2Vec2ConformerForCTC</a>.`,name:"ctc_loss_reduction"},{anchor:"transformers.Wav2Vec2ConformerConfig.ctc_zero_infinity",description:`<strong>ctc_zero_infinity</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to zero infinite losses and the associated gradients of <code>torch.nn.CTCLoss</code>. Infinite losses mainly
occur when the inputs are too short to be aligned to the targets. Only relevant when training an instance
of <a href="/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerForCTC">Wav2Vec2ConformerForCTC</a>.`,name:"ctc_zero_infinity"},{anchor:"transformers.Wav2Vec2ConformerConfig.use_weighted_layer_sum",description:`<strong>use_weighted_layer_sum</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use a weighted average of layer outputs with learned weights. Only relevant when using an
instance of <a href="/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerForSequenceClassification">Wav2Vec2ConformerForSequenceClassification</a>.`,name:"use_weighted_layer_sum"},{anchor:"transformers.Wav2Vec2ConformerConfig.classifier_proj_size",description:`<strong>classifier_proj_size</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
Dimensionality of the projection before token mean-pooling for classification.`,name:"classifier_proj_size"},{anchor:"transformers.Wav2Vec2ConformerConfig.tdnn_dim",description:`<strong>tdnn_dim</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(512, 512, 512, 512, 1500)</code>) &#x2014;
A tuple of integers defining the number of output channels of each 1D convolutional layer in the <em>TDNN</em>
module of the <em>XVector</em> model. The length of <em>tdnn_dim</em> defines the number of <em>TDNN</em> layers.`,name:"tdnn_dim"},{anchor:"transformers.Wav2Vec2ConformerConfig.tdnn_kernel",description:`<strong>tdnn_kernel</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(5, 3, 3, 1, 1)</code>) &#x2014;
A tuple of integers defining the kernel size of each 1D convolutional layer in the <em>TDNN</em> module of the
<em>XVector</em> model. The length of <em>tdnn_kernel</em> has to match the length of <em>tdnn_dim</em>.`,name:"tdnn_kernel"},{anchor:"transformers.Wav2Vec2ConformerConfig.tdnn_dilation",description:`<strong>tdnn_dilation</strong> (<code>Tuple[int]</code> or <code>List[int]</code>, <em>optional</em>, defaults to <code>(1, 2, 3, 1, 1)</code>) &#x2014;
A tuple of integers defining the dilation factor of each 1D convolutional layer in <em>TDNN</em> module of the
<em>XVector</em> model. The length of <em>tdnn_dilation</em> has to match the length of <em>tdnn_dim</em>.`,name:"tdnn_dilation"},{anchor:"transformers.Wav2Vec2ConformerConfig.xvector_output_dim",description:`<strong>xvector_output_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
Dimensionality of the <em>XVector</em> embedding vectors.`,name:"xvector_output_dim"},{anchor:"transformers.Wav2Vec2ConformerConfig.add_adapter",description:`<strong>add_adapter</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether a convolutional network should be stacked on top of the Wav2Vec2Conformer Encoder. Can be very
useful for warm-starting Wav2Vec2Conformer for SpeechEncoderDecoder models.`,name:"add_adapter"},{anchor:"transformers.Wav2Vec2ConformerConfig.adapter_kernel_size",description:`<strong>adapter_kernel_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
Kernel size of the convolutional layers in the adapter network. Only relevant if <code>add_adapter is True</code>.`,name:"adapter_kernel_size"},{anchor:"transformers.Wav2Vec2ConformerConfig.adapter_stride",description:`<strong>adapter_stride</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
Stride of the convolutional layers in the adapter network. Only relevant if <code>add_adapter is True</code>.`,name:"adapter_stride"},{anchor:"transformers.Wav2Vec2ConformerConfig.num_adapter_layers",description:`<strong>num_adapter_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
Number of convolutional layers that should be used in the adapter network. Only relevant if <code>add_adapter is True</code>.`,name:"num_adapter_layers"},{anchor:"transformers.Wav2Vec2ConformerConfig.output_hidden_size",description:`<strong>output_hidden_size</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Dimensionality of the encoder output layer. If not defined, this defaults to <em>hidden-size</em>. Only relevant
if <code>add_adapter is True</code>.`,name:"output_hidden_size"},{anchor:"transformers.Wav2Vec2ConformerConfig.position_embeddings_type",description:`<strong>position_embeddings_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;relative&quot;</code>) &#x2014;
Can be specified to <code>relative</code> or <code>rotary</code> for relative or rotary position embeddings respectively. If left
<code>None</code> no relative position embedding is applied.`,name:"position_embeddings_type"},{anchor:"transformers.Wav2Vec2ConformerConfig.rotary_embedding_base",description:`<strong>rotary_embedding_base</strong> (<code>int</code>, <em>optional</em>, defaults to 10000) &#x2014;
If <code>&quot;rotary&quot;</code> position embeddings are used, defines the size of the embedding base.`,name:"rotary_embedding_base"},{anchor:"transformers.Wav2Vec2ConformerConfig.max_source_positions",description:`<strong>max_source_positions</strong> (<code>int</code>, <em>optional</em>, defaults to 5000) &#x2014;
if <code>&quot;relative&quot;</code> position embeddings are used, defines the maximum source input positions.`,name:"max_source_positions"},{anchor:"transformers.Wav2Vec2ConformerConfig.conv_depthwise_kernel_size",description:`<strong>conv_depthwise_kernel_size</strong> (<code>int</code>, defaults to 31) &#x2014;
Kernel size of convolutional depthwise 1D layer in Conformer blocks.`,name:"conv_depthwise_kernel_size"},{anchor:"transformers.Wav2Vec2ConformerConfig.conformer_conv_dropout",description:`<strong>conformer_conv_dropout</strong> (<code>float</code>, defaults to 0.1) &#x2014;
The dropout probability for all convolutional layers in Conformer blocks.`,name:"conformer_conv_dropout"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2_conformer/configuration_wav2vec2_conformer.py#L33"}}),Ee=new R({props:{anchor:"transformers.Wav2Vec2ConformerConfig.example",$$slots:{default:[Hc]},$$scope:{ctx:V}}}),go=new ie({}),_o=new D({props:{name:"class transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput",anchor:"transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput",parameters:[{name:"loss",val:": typing.Optional[torch.FloatTensor] = None"},{name:"projected_states",val:": FloatTensor = None"},{name:"projected_quantized_states",val:": FloatTensor = None"},{name:"codevector_perplexity",val:": FloatTensor = None"},{name:"hidden_states",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"attentions",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"contrastive_loss",val:": typing.Optional[torch.FloatTensor] = None"},{name:"diversity_loss",val:": typing.Optional[torch.FloatTensor] = None"}],parametersDescription:[{anchor:"transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput.loss",description:`<strong>loss</strong> (<em>optional</em>, returned when <code>sample_negative_indices</code> are passed, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) &#x2014;
Total loss as the sum of the contrastive loss (L_m) and the diversity loss (L_d) as stated in the <a href="https://arxiv.org/pdf/2006.11477.pdf" rel="nofollow">official
paper</a> . (classification) loss.`,name:"loss"},{anchor:"transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput.projected_states",description:`<strong>projected_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.proj_codevector_dim)</code>) &#x2014;
Hidden-states of the model projected to <em>config.proj_codevector_dim</em> that can be used to predict the masked
projected quantized states.`,name:"projected_states"},{anchor:"transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput.projected_quantized_states",description:`<strong>projected_quantized_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.proj_codevector_dim)</code>) &#x2014;
Quantized extracted feature vectors projected to <em>config.proj_codevector_dim</em> representing the positive
target vectors for contrastive loss.`,name:"projected_quantized_states"},{anchor:"transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput.hidden_states",description:`<strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.`,name:"hidden_states"},{anchor:"transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput.attentions",description:`<strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.`,name:"attentions"},{anchor:"transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput.contrastive_loss",description:`<strong>contrastive_loss</strong> (<em>optional</em>, returned when <code>sample_negative_indices</code> are passed, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) &#x2014;
The contrastive loss (L_m) as stated in the <a href="https://arxiv.org/pdf/2006.11477.pdf" rel="nofollow">official paper</a> .`,name:"contrastive_loss"},{anchor:"transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput.diversity_loss",description:`<strong>diversity_loss</strong> (<em>optional</em>, returned when <code>sample_negative_indices</code> are passed, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) &#x2014;
The diversity loss (L_d) as stated in the <a href="https://arxiv.org/pdf/2006.11477.pdf" rel="nofollow">official paper</a> .`,name:"diversity_loss"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L90"}}),bo=new ie({}),wo=new D({props:{name:"class transformers.Wav2Vec2ConformerModel",anchor:"transformers.Wav2Vec2ConformerModel",parameters:[{name:"config",val:": Wav2Vec2ConformerConfig"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig">Wav2Vec2ConformerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L1252"}}),Vo=new D({props:{name:"forward",anchor:"transformers.Wav2Vec2ConformerModel.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"mask_time_indices",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerModel.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <em>.flac</em> or <em>.wav</em> audio file
into an array of type <em>List[float]</em> or a <em>numpy.ndarray</em>, <em>e.g.</em> via the soundfile library (<em>pip install
soundfile</em>). To prepare the array into <em>input_values</em>, the <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor">Wav2Vec2Processor</a> should be used for padding
and conversion into a tensor of type <em>torch.FloatTensor</em>. See <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.__call__">Wav2Vec2Processor.<strong>call</strong>()</a> for details.`,name:"input_values"},{anchor:"transformers.Wav2Vec2ConformerModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-conformer-rel-pos-large" rel="nofollow">wav2vec2-conformer-rel-pos-large</a>,
<code>attention_mask</code> should <strong>not</strong> be passed to avoid degraded performance when doing batched inference. For
such models <code>input_values</code> should simply be padded with 0 and passed without <code>attention_mask</code>. Be aware
that these models also yield slightly different results depending on whether <code>input_values</code> is padded or
not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.Wav2Vec2ConformerModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Wav2Vec2ConformerModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Wav2Vec2ConformerModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L1325",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Wav2Vec2BaseModelOutput"
>transformers.modeling_outputs.Wav2Vec2BaseModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig"
>Wav2Vec2ConformerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>extract_features</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, conv_dim[-1])</code>) \u2014 Sequence of extracted feature vectors of the last convolutional layer of the model.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Wav2Vec2BaseModelOutput"
>transformers.modeling_outputs.Wav2Vec2BaseModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ae=new Bt({props:{$$slots:{default:[Rc]},$$scope:{ctx:V}}}),ze=new R({props:{anchor:"transformers.Wav2Vec2ConformerModel.forward.example",$$slots:{default:[Uc]},$$scope:{ctx:V}}}),Se=new R({props:{anchor:"transformers.Wav2Vec2ConformerModel.forward.example-2",$$slots:{default:[Zc]},$$scope:{ctx:V}}}),Wo=new ie({}),jo=new D({props:{name:"class transformers.Wav2Vec2ConformerForCTC",anchor:"transformers.Wav2Vec2ConformerForCTC",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerForCTC.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig">Wav2Vec2ConformerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L1613"}}),Po=new D({props:{name:"forward",anchor:"transformers.Wav2Vec2ConformerForCTC.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerForCTC.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <em>.flac</em> or <em>.wav</em> audio file
into an array of type <em>List[float]</em> or a <em>numpy.ndarray</em>, <em>e.g.</em> via the soundfile library (<em>pip install
soundfile</em>). To prepare the array into <em>input_values</em>, the <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor">Wav2Vec2Processor</a> should be used for padding
and conversion into a tensor of type <em>torch.FloatTensor</em>. See <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.__call__">Wav2Vec2Processor.<strong>call</strong>()</a> for details.`,name:"input_values"},{anchor:"transformers.Wav2Vec2ConformerForCTC.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-conformer-rel-pos-large" rel="nofollow">wav2vec2-conformer-rel-pos-large</a>,
<code>attention_mask</code> should <strong>not</strong> be passed to avoid degraded performance when doing batched inference. For
such models <code>input_values</code> should simply be padded with 0 and passed without <code>attention_mask</code>. Be aware
that these models also yield slightly different results depending on whether <code>input_values</code> is padded or
not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.Wav2Vec2ConformerForCTC.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Wav2Vec2ConformerForCTC.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Wav2Vec2ConformerForCTC.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.Wav2Vec2ConformerForCTC.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_length)</code>, <em>optional</em>) &#x2014;
Labels for connectionist temporal classification. Note that <code>target_length</code> has to be smaller or equal to
the sequence length of the output logits. Indices are selected in <code>[-100, 0, ..., config.vocab_size - 1]</code>.
All labels set to <code>-100</code> are ignored (masked), the loss is only computed for labels in <code>[0, ..., config.vocab_size - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L1644",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutput"
>transformers.modeling_outputs.CausalLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig"
>Wav2Vec2ConformerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.CausalLMOutput"
>transformers.modeling_outputs.CausalLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),De=new Bt({props:{$$slots:{default:[Qc]},$$scope:{ctx:V}}}),Le=new R({props:{anchor:"transformers.Wav2Vec2ConformerForCTC.forward.example",$$slots:{default:[Kc]},$$scope:{ctx:V}}}),Ne=new R({props:{anchor:"transformers.Wav2Vec2ConformerForCTC.forward.example-2",$$slots:{default:[Gc]},$$scope:{ctx:V}}}),Mo=new ie({}),Ao=new D({props:{name:"class transformers.Wav2Vec2ConformerForSequenceClassification",anchor:"transformers.Wav2Vec2ConformerForSequenceClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig">Wav2Vec2ConformerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L1734"}}),No=new D({props:{name:"forward",anchor:"transformers.Wav2Vec2ConformerForSequenceClassification.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerForSequenceClassification.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <em>.flac</em> or <em>.wav</em> audio file
into an array of type <em>List[float]</em> or a <em>numpy.ndarray</em>, <em>e.g.</em> via the soundfile library (<em>pip install
soundfile</em>). To prepare the array into <em>input_values</em>, the <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor">Wav2Vec2Processor</a> should be used for padding
and conversion into a tensor of type <em>torch.FloatTensor</em>. See <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.__call__">Wav2Vec2Processor.<strong>call</strong>()</a> for details.`,name:"input_values"},{anchor:"transformers.Wav2Vec2ConformerForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-conformer-rel-pos-large" rel="nofollow">wav2vec2-conformer-rel-pos-large</a>,
<code>attention_mask</code> should <strong>not</strong> be passed to avoid degraded performance when doing batched inference. For
such models <code>input_values</code> should simply be padded with 0 and passed without <code>attention_mask</code>. Be aware
that these models also yield slightly different results depending on whether <code>input_values</code> is padded or
not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.Wav2Vec2ConformerForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Wav2Vec2ConformerForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Wav2Vec2ConformerForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.Wav2Vec2ConformerForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L1770",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig"
>Wav2Vec2ConformerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Xe=new Bt({props:{$$slots:{default:[Jc]},$$scope:{ctx:V}}}),Be=new R({props:{anchor:"transformers.Wav2Vec2ConformerForSequenceClassification.forward.example",$$slots:{default:[Yc]},$$scope:{ctx:V}}}),He=new R({props:{anchor:"transformers.Wav2Vec2ConformerForSequenceClassification.forward.example-2",$$slots:{default:[ed]},$$scope:{ctx:V}}}),Io=new ie({}),Xo=new D({props:{name:"class transformers.Wav2Vec2ConformerForAudioFrameClassification",anchor:"transformers.Wav2Vec2ConformerForAudioFrameClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerForAudioFrameClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig">Wav2Vec2ConformerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L1849"}}),Qo=new D({props:{name:"forward",anchor:"transformers.Wav2Vec2ConformerForAudioFrameClassification.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerForAudioFrameClassification.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <em>.flac</em> or <em>.wav</em> audio file
into an array of type <em>List[float]</em> or a <em>numpy.ndarray</em>, <em>e.g.</em> via the soundfile library (<em>pip install
soundfile</em>). To prepare the array into <em>input_values</em>, the <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor">Wav2Vec2Processor</a> should be used for padding
and conversion into a tensor of type <em>torch.FloatTensor</em>. See <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.__call__">Wav2Vec2Processor.<strong>call</strong>()</a> for details.`,name:"input_values"},{anchor:"transformers.Wav2Vec2ConformerForAudioFrameClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-conformer-rel-pos-large" rel="nofollow">wav2vec2-conformer-rel-pos-large</a>,
<code>attention_mask</code> should <strong>not</strong> be passed to avoid degraded performance when doing batched inference. For
such models <code>input_values</code> should simply be padded with 0 and passed without <code>attention_mask</code>. Be aware
that these models also yield slightly different results depending on whether <code>input_values</code> is padded or
not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.Wav2Vec2ConformerForAudioFrameClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Wav2Vec2ConformerForAudioFrameClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Wav2Vec2ConformerForAudioFrameClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.Wav2Vec2ConformerForAudioFrameClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L1885",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig"
>Wav2Vec2ConformerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ue=new Bt({props:{$$slots:{default:[od]},$$scope:{ctx:V}}}),Ze=new R({props:{anchor:"transformers.Wav2Vec2ConformerForAudioFrameClassification.forward.example",$$slots:{default:[td]},$$scope:{ctx:V}}}),Qe=new R({props:{anchor:"transformers.Wav2Vec2ConformerForAudioFrameClassification.forward.example-2",$$slots:{default:[rd]},$$scope:{ctx:V}}}),Ko=new ie({}),Go=new D({props:{name:"class transformers.Wav2Vec2ConformerForXVector",anchor:"transformers.Wav2Vec2ConformerForXVector",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerForXVector.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig">Wav2Vec2ConformerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L2006"}}),rt=new D({props:{name:"forward",anchor:"transformers.Wav2Vec2ConformerForXVector.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Optional[torch.Tensor] = None"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerForXVector.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <em>.flac</em> or <em>.wav</em> audio file
into an array of type <em>List[float]</em> or a <em>numpy.ndarray</em>, <em>e.g.</em> via the soundfile library (<em>pip install
soundfile</em>). To prepare the array into <em>input_values</em>, the <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor">Wav2Vec2Processor</a> should be used for padding
and conversion into a tensor of type <em>torch.FloatTensor</em>. See <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.__call__">Wav2Vec2Processor.<strong>call</strong>()</a> for details.`,name:"input_values"},{anchor:"transformers.Wav2Vec2ConformerForXVector.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-conformer-rel-pos-large" rel="nofollow">wav2vec2-conformer-rel-pos-large</a>,
<code>attention_mask</code> should <strong>not</strong> be passed to avoid degraded performance when doing batched inference. For
such models <code>input_values</code> should simply be padded with 0 and passed without <code>attention_mask</code>. Be aware
that these models also yield slightly different results depending on whether <code>input_values</code> is padded or
not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.Wav2Vec2ConformerForXVector.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Wav2Vec2ConformerForXVector.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Wav2Vec2ConformerForXVector.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.Wav2Vec2ConformerForXVector.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L2059",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.XVectorOutput"
>transformers.modeling_outputs.XVectorOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig"
>Wav2Vec2ConformerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.xvector_output_dim)</code>) \u2014 Classification hidden states before AMSoftmax.</p>
</li>
<li>
<p><strong>embeddings</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.xvector_output_dim)</code>) \u2014 Utterance embeddings used for vector similarity-based retrieval.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.XVectorOutput"
>transformers.modeling_outputs.XVectorOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ge=new Bt({props:{$$slots:{default:[ad]},$$scope:{ctx:V}}}),Je=new R({props:{anchor:"transformers.Wav2Vec2ConformerForXVector.forward.example",$$slots:{default:[nd]},$$scope:{ctx:V}}}),Ye=new R({props:{anchor:"transformers.Wav2Vec2ConformerForXVector.forward.example-2",$$slots:{default:[sd]},$$scope:{ctx:V}}}),at=new ie({}),nt=new D({props:{name:"class transformers.Wav2Vec2ConformerForPreTraining",anchor:"transformers.Wav2Vec2ConformerForPreTraining",parameters:[{name:"config",val:": Wav2Vec2ConformerConfig"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerForPreTraining.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig">Wav2Vec2ConformerConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L1391"}}),dt=new D({props:{name:"forward",anchor:"transformers.Wav2Vec2ConformerForPreTraining.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor]"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"mask_time_indices",val:": typing.Optional[torch.BoolTensor] = None"},{name:"sampled_negative_indices",val:": typing.Optional[torch.BoolTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.Wav2Vec2ConformerForPreTraining.forward.input_values",description:`<strong>input_values</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform. Values can be obtained by loading a <em>.flac</em> or <em>.wav</em> audio file
into an array of type <em>List[float]</em> or a <em>numpy.ndarray</em>, <em>e.g.</em> via the soundfile library (<em>pip install
soundfile</em>). To prepare the array into <em>input_values</em>, the <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor">Wav2Vec2Processor</a> should be used for padding
and conversion into a tensor of type <em>torch.FloatTensor</em>. See <a href="/docs/transformers/main/en/model_doc/wav2vec2#transformers.Wav2Vec2Processor.__call__">Wav2Vec2Processor.<strong>call</strong>()</a> for details.`,name:"input_values"},{anchor:"transformers.Wav2Vec2ConformerForPreTraining.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing convolution and attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip course-tip-orange bg-gradient-to-br dark:bg-gradient-to-r before:border-orange-500 dark:before:border-orange-800 from-orange-50 dark:from-gray-900 to-white dark:to-gray-950 border border-orange-50 text-orange-700 dark:text-gray-400">
						
<p><code>attention_mask</code> should only be passed if the corresponding processor has <code>config.return_attention_mask == True</code>. For all models whose processor has <code>config.return_attention_mask == False</code>, such as
<a href="https://huggingface.co/facebook/wav2vec2-conformer-rel-pos-large" rel="nofollow">wav2vec2-conformer-rel-pos-large</a>,
<code>attention_mask</code> should <strong>not</strong> be passed to avoid degraded performance when doing batched inference. For
such models <code>input_values</code> should simply be padded with 0 and passed without <code>attention_mask</code>. Be aware
that these models also yield slightly different results depending on whether <code>input_values</code> is padded or
not.</p>

					</div>`,name:"attention_mask"},{anchor:"transformers.Wav2Vec2ConformerForPreTraining.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.Wav2Vec2ConformerForPreTraining.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.Wav2Vec2ConformerForPreTraining.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.Wav2Vec2ConformerForPreTraining.forward.mask_time_indices",description:`<strong>mask_time_indices</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices to mask extracted features for contrastive loss. When in training mode, model learns to predict
masked extracted features in <em>config.proj_codevector_dim</em> space.`,name:"mask_time_indices"},{anchor:"transformers.Wav2Vec2ConformerForPreTraining.forward.sampled_negative_indices",description:`<strong>sampled_negative_indices</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, sequence_length, num_negatives)</code>, <em>optional</em>) &#x2014;
Indices indicating which quantized target vectors are used as negative sampled vectors in contrastive loss.
Required input for pre-training.`,name:"sampled_negative_indices"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/wav2vec2_conformer/modeling_wav2vec2_conformer.py#L1444",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput"
>transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerConfig"
>Wav2Vec2ConformerConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<em>optional</em>, returned when <code>sample_negative_indices</code> are passed, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) \u2014 Total loss as the sum of the contrastive loss (L_m) and the diversity loss (L_d) as stated in the <a
  href="https://arxiv.org/pdf/2006.11477.pdf"
  rel="nofollow"
>official
paper</a> . (classification) loss.</p>
</li>
<li>
<p><strong>projected_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.proj_codevector_dim)</code>) \u2014 Hidden-states of the model projected to <em>config.proj_codevector_dim</em> that can be used to predict the masked
projected quantized states.</p>
</li>
<li>
<p><strong>projected_quantized_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.proj_codevector_dim)</code>) \u2014 Quantized extracted feature vectors projected to <em>config.proj_codevector_dim</em> representing the positive
target vectors for contrastive loss.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>contrastive_loss</strong> (<em>optional</em>, returned when <code>sample_negative_indices</code> are passed, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) \u2014 The contrastive loss (L_m) as stated in the <a
  href="https://arxiv.org/pdf/2006.11477.pdf"
  rel="nofollow"
>official paper</a> .</p>
</li>
<li>
<p><strong>diversity_loss</strong> (<em>optional</em>, returned when <code>sample_negative_indices</code> are passed, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) \u2014 The diversity loss (L_d) as stated in the <a
  href="https://arxiv.org/pdf/2006.11477.pdf"
  rel="nofollow"
>official paper</a> .</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput"
>transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),oo=new Bt({props:{$$slots:{default:[id]},$$scope:{ctx:V}}}),to=new R({props:{anchor:"transformers.Wav2Vec2ConformerForPreTraining.forward.example",$$slots:{default:[ld]},$$scope:{ctx:V}}}),{c(){c=n("meta"),_=f(),d=n("h1"),p=n("a"),b=n("span"),w(l.$$.fragment),u=f(),W=n("span"),Ma=r("Wav2Vec2-Conformer"),Sr=f(),le=n("h2"),je=n("a"),Ht=n("span"),w(no.$$.fragment),Aa=f(),Rt=n("span"),za=r("Overview"),Or=f(),xe=n("p"),Sa=r("The Wav2Vec2-Conformer was added to an updated version of "),so=n("a"),Oa=r("fairseq S2T: Fast Speech-to-Text Modeling with fairseq"),Da=r(" by Changhan Wang, Yun Tang, Xutai Ma, Anne Wu, Sravya Popuri, Dmytro Okhonko, Juan Pino."),Dr=f(),ut=n("p"),La=r("The official results of the model can be found in Table 3 and Table 4 of the paper."),Lr=f(),Fe=n("p"),Na=r("The Wav2Vec2-Conformer weights were released by the Meta AI team within the "),io=n("a"),Ia=r("Fairseq library"),Xa=r("."),Nr=f(),gt=n("p"),Ba=r("Tips:"),Ir=f(),N=n("ul"),Q=n("li"),Ha=r("Wav2Vec2-Conformer follows the same architecture as Wav2Vec2, but replaces the "),Ut=n("em"),Ra=r("Attention"),Ua=r("-block with a "),Zt=n("em"),Za=r("Conformer"),Qa=r(`-block
as introduced in `),lo=n("a"),Ka=r("Conformer: Convolution-augmented Transformer for Speech Recognition"),Ga=r("."),Ja=f(),Qt=n("li"),Ya=r(`For the same number of layers, Wav2Vec2-Conformer requires more parameters than Wav2Vec2, but also yields
an improved word error rate.`),en=f(),Kt=n("li"),on=r("Wav2Vec2-Conformer uses the same tokenizer and feature extractor as Wav2Vec2."),tn=f(),co=n("li"),rn=r(`Wav2Vec2-Conformer can use either no relative position embeddings, Transformer-XL-like position embeddings, or
rotary position embeddings by setting the correct `),Gt=n("code"),an=r("config.position_embeddings_type"),nn=r("."),Xr=f(),J=n("p"),sn=r("This model was contributed by "),mo=n("a"),ln=r("patrickvonplaten"),cn=r(`.
The original code can be found `),po=n("a"),dn=r("here"),mn=r("."),Br=f(),ce=n("h2"),qe=n("a"),Jt=n("span"),w(fo.$$.fragment),pn=f(),Yt=n("span"),fn=r("Wav2Vec2ConformerConfig"),Hr=f(),L=n("div"),w(ho.$$.fragment),hn=f(),de=n("p"),un=r("This is the configuration class to store the configuration of a "),_t=n("a"),gn=r("Wav2Vec2ConformerModel"),_n=r(`. It is used to
instantiate an Wav2Vec2Conformer model according to the specified arguments, defining the model architecture.
Instantiating a configuration with the defaults will yield a similar configuration to that of the Wav2Vec2Conformer
`),uo=n("a"),vn=r("facebook/wav2vec2-conformer-rel-pos-large"),bn=r(`
architecture.`),wn=f(),me=n("p"),Cn=r("Configuration objects inherit from "),vt=n("a"),yn=r("PretrainedConfig"),$n=r(` and can be used to control the model outputs. Read the
documentation from `),bt=n("a"),kn=r("PretrainedConfig"),Tn=r(" for more information."),Vn=f(),w(Ee.$$.fragment),Rr=f(),pe=n("h2"),Pe=n("a"),er=n("span"),w(go.$$.fragment),Wn=f(),or=n("span"),jn=r("Wav2Vec2Conformer specific outputs"),Ur=f(),fe=n("div"),w(_o.$$.fragment),xn=f(),vo=n("p"),Fn=r("Output type of "),wt=n("a"),qn=r("Wav2Vec2ConformerForPreTraining"),En=r(", with potential hidden states and attentions."),Zr=f(),he=n("h2"),Me=n("a"),tr=n("span"),w(bo.$$.fragment),Pn=f(),rr=n("span"),Mn=r("Wav2Vec2ConformerModel"),Qr=f(),q=n("div"),w(wo.$$.fragment),An=f(),Co=n("p"),zn=r(`The bare Wav2Vec2Conformer Model transformer outputting raw hidden-states without any specific head on top.
Wav2Vec2Conformer was proposed in `),yo=n("a"),Sn=r(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),On=r(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Dn=f(),$o=n("p"),Ln=r("This model inherits from "),Ct=n("a"),Nn=r("PreTrainedModel"),In=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),Xn=f(),ko=n("p"),Bn=r("This model is a PyTorch "),To=n("a"),Hn=r("nn.Module"),Rn=r(` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),Un=f(),M=n("div"),w(Vo.$$.fragment),Zn=f(),ue=n("p"),Qn=r("The "),yt=n("a"),Kn=r("Wav2Vec2ConformerModel"),Gn=r(" forward method, overrides the "),ar=n("code"),Jn=r("__call__"),Yn=r(" special method."),es=f(),w(Ae.$$.fragment),os=f(),w(ze.$$.fragment),ts=f(),w(Se.$$.fragment),Kr=f(),ge=n("h2"),Oe=n("a"),nr=n("span"),w(Wo.$$.fragment),rs=f(),sr=n("span"),as=r("Wav2Vec2ConformerForCTC"),Gr=f(),E=n("div"),w(jo.$$.fragment),ns=f(),_e=n("p"),ss=r("Wav2Vec2Conformer Model with a "),ir=n("code"),is=r("language modeling"),ls=r(` head on top for Connectionist Temporal Classification (CTC).
Wav2Vec2Conformer was proposed in `),xo=n("a"),cs=r(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),ds=r(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),ms=f(),Fo=n("p"),ps=r("This model inherits from "),$t=n("a"),fs=r("PreTrainedModel"),hs=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),us=f(),qo=n("p"),gs=r("This model is a PyTorch "),Eo=n("a"),_s=r("nn.Module"),vs=r(` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),bs=f(),A=n("div"),w(Po.$$.fragment),ws=f(),ve=n("p"),Cs=r("The "),kt=n("a"),ys=r("Wav2Vec2ConformerForCTC"),$s=r(" forward method, overrides the "),lr=n("code"),ks=r("__call__"),Ts=r(" special method."),Vs=f(),w(De.$$.fragment),Ws=f(),w(Le.$$.fragment),js=f(),w(Ne.$$.fragment),Jr=f(),be=n("h2"),Ie=n("a"),cr=n("span"),w(Mo.$$.fragment),xs=f(),dr=n("span"),Fs=r("Wav2Vec2ConformerForSequenceClassification"),Yr=f(),j=n("div"),w(Ao.$$.fragment),qs=f(),mr=n("p"),Es=r(`Wav2Vec2Conformer Model with a sequence classification head on top (a linear layer over the pooled output) for
tasks like SUPERB Keyword Spotting.`),Ps=f(),zo=n("p"),Ms=r("Wav2Vec2Conformer was proposed in "),So=n("a"),As=r(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),zs=r(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Ss=f(),Oo=n("p"),Os=r("This model inherits from "),Tt=n("a"),Ds=r("PreTrainedModel"),Ls=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),Ns=f(),Do=n("p"),Is=r("This model is a PyTorch "),Lo=n("a"),Xs=r("nn.Module"),Bs=r(` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),Hs=f(),z=n("div"),w(No.$$.fragment),Rs=f(),we=n("p"),Us=r("The "),Vt=n("a"),Zs=r("Wav2Vec2ConformerForSequenceClassification"),Qs=r(" forward method, overrides the "),pr=n("code"),Ks=r("__call__"),Gs=r(" special method."),Js=f(),w(Xe.$$.fragment),Ys=f(),w(Be.$$.fragment),ei=f(),w(He.$$.fragment),ea=f(),Ce=n("h2"),Re=n("a"),fr=n("span"),w(Io.$$.fragment),oi=f(),hr=n("span"),ti=r("Wav2Vec2ConformerForAudioFrameClassification"),oa=f(),x=n("div"),w(Xo.$$.fragment),ri=f(),ur=n("p"),ai=r("Wav2Vec2Conformer Model with a frame classification head on top for tasks like Speaker Diarization."),ni=f(),Bo=n("p"),si=r("Wav2Vec2Conformer was proposed in "),Ho=n("a"),ii=r(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),li=r(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),ci=f(),Ro=n("p"),di=r("This model inherits from "),Wt=n("a"),mi=r("PreTrainedModel"),pi=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),fi=f(),Uo=n("p"),hi=r("This model is a PyTorch "),Zo=n("a"),ui=r("nn.Module"),gi=r(` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),_i=f(),S=n("div"),w(Qo.$$.fragment),vi=f(),ye=n("p"),bi=r("The "),jt=n("a"),wi=r("Wav2Vec2ConformerForAudioFrameClassification"),Ci=r(" forward method, overrides the "),gr=n("code"),yi=r("__call__"),$i=r(" special method."),ki=f(),w(Ue.$$.fragment),Ti=f(),w(Ze.$$.fragment),Vi=f(),w(Qe.$$.fragment),ta=f(),$e=n("h2"),Ke=n("a"),_r=n("span"),w(Ko.$$.fragment),Wi=f(),vr=n("span"),ji=r("Wav2Vec2ConformerForXVector"),ra=f(),F=n("div"),w(Go.$$.fragment),xi=f(),br=n("p"),Fi=r("Wav2Vec2Conformer Model with an XVector feature extraction head on top for tasks like Speaker Verification."),qi=f(),Jo=n("p"),Ei=r("Wav2Vec2Conformer was proposed in "),Yo=n("a"),Pi=r(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Mi=r(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),Ai=f(),et=n("p"),zi=r("This model inherits from "),xt=n("a"),Si=r("PreTrainedModel"),Oi=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),Di=f(),ot=n("p"),Li=r("This model is a PyTorch "),tt=n("a"),Ni=r("nn.Module"),Ii=r(` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),Xi=f(),O=n("div"),w(rt.$$.fragment),Bi=f(),ke=n("p"),Hi=r("The "),Ft=n("a"),Ri=r("Wav2Vec2ConformerForXVector"),Ui=r(" forward method, overrides the "),wr=n("code"),Zi=r("__call__"),Qi=r(" special method."),Ki=f(),w(Ge.$$.fragment),Gi=f(),w(Je.$$.fragment),Ji=f(),w(Ye.$$.fragment),aa=f(),Te=n("h2"),eo=n("a"),Cr=n("span"),w(at.$$.fragment),Yi=f(),yr=n("span"),el=r("Wav2Vec2ConformerForPreTraining"),na=f(),P=n("div"),w(nt.$$.fragment),ol=f(),Ve=n("p"),tl=r("Wav2Vec2Conformer Model with a quantizer and "),$r=n("code"),rl=r("VQ"),al=r(` head on top.
Wav2Vec2Conformer was proposed in `),st=n("a"),nl=r(`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),sl=r(` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),il=f(),it=n("p"),ll=r("This model inherits from "),qt=n("a"),cl=r("PreTrainedModel"),dl=r(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),ml=f(),lt=n("p"),pl=r("This model is a PyTorch "),ct=n("a"),fl=r("nn.Module"),hl=r(` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),ul=f(),I=n("div"),w(dt.$$.fragment),gl=f(),We=n("p"),_l=r("The "),Et=n("a"),vl=r("Wav2Vec2ConformerForPreTraining"),bl=r(" forward method, overrides the "),kr=n("code"),wl=r("__call__"),Cl=r(" special method."),yl=f(),w(oo.$$.fragment),$l=f(),w(to.$$.fragment),this.h()},l(o){const g=Xc('[data-svelte="svelte-1phssyn"]',document.head);c=s(g,"META",{name:!0,content:!0}),g.forEach(t),_=h(o),d=s(o,"H1",{class:!0});var mt=i(d);p=s(mt,"A",{id:!0,class:!0,href:!0});var Tr=i(p);b=s(Tr,"SPAN",{});var Vr=i(b);C(l.$$.fragment,Vr),Vr.forEach(t),Tr.forEach(t),u=h(mt),W=s(mt,"SPAN",{});var Wr=i(W);Ma=a(Wr,"Wav2Vec2-Conformer"),Wr.forEach(t),mt.forEach(t),Sr=h(o),le=s(o,"H2",{class:!0});var pt=i(le);je=s(pt,"A",{id:!0,class:!0,href:!0});var jr=i(je);Ht=s(jr,"SPAN",{});var xr=i(Ht);C(no.$$.fragment,xr),xr.forEach(t),jr.forEach(t),Aa=h(pt),Rt=s(pt,"SPAN",{});var Fr=i(Rt);za=a(Fr,"Overview"),Fr.forEach(t),pt.forEach(t),Or=h(o),xe=s(o,"P",{});var ft=i(xe);Sa=a(ft,"The Wav2Vec2-Conformer was added to an updated version of "),so=s(ft,"A",{href:!0,rel:!0});var qr=i(so);Oa=a(qr,"fairseq S2T: Fast Speech-to-Text Modeling with fairseq"),qr.forEach(t),Da=a(ft," by Changhan Wang, Yun Tang, Xutai Ma, Anne Wu, Sravya Popuri, Dmytro Okhonko, Juan Pino."),ft.forEach(t),Dr=h(o),ut=s(o,"P",{});var Er=i(ut);La=a(Er,"The official results of the model can be found in Table 3 and Table 4 of the paper."),Er.forEach(t),Lr=h(o),Fe=s(o,"P",{});var ht=i(Fe);Na=a(ht,"The Wav2Vec2-Conformer weights were released by the Meta AI team within the "),io=s(ht,"A",{href:!0,rel:!0});var Pr=i(io);Ia=a(Pr,"Fairseq library"),Pr.forEach(t),Xa=a(ht,"."),ht.forEach(t),Nr=h(o),gt=s(o,"P",{});var Mr=i(gt);Ba=a(Mr,"Tips:"),Mr.forEach(t),Ir=h(o),N=s(o,"UL",{});var K=i(N);Q=s(K,"LI",{});var G=i(Q);Ha=a(G,"Wav2Vec2-Conformer follows the same architecture as Wav2Vec2, but replaces the "),Ut=s(G,"EM",{});var Ar=i(Ut);Ra=a(Ar,"Attention"),Ar.forEach(t),Ua=a(G,"-block with a "),Zt=s(G,"EM",{});var zr=i(Zt);Za=a(zr,"Conformer"),zr.forEach(t),Qa=a(G,`-block
as introduced in `),lo=s(G,"A",{href:!0,rel:!0});var kl=i(lo);Ka=a(kl,"Conformer: Convolution-augmented Transformer for Speech Recognition"),kl.forEach(t),Ga=a(G,"."),G.forEach(t),Ja=h(K),Qt=s(K,"LI",{});var Tl=i(Qt);Ya=a(Tl,`For the same number of layers, Wav2Vec2-Conformer requires more parameters than Wav2Vec2, but also yields
an improved word error rate.`),Tl.forEach(t),en=h(K),Kt=s(K,"LI",{});var Vl=i(Kt);on=a(Vl,"Wav2Vec2-Conformer uses the same tokenizer and feature extractor as Wav2Vec2."),Vl.forEach(t),tn=h(K),co=s(K,"LI",{});var ia=i(co);rn=a(ia,`Wav2Vec2-Conformer can use either no relative position embeddings, Transformer-XL-like position embeddings, or
rotary position embeddings by setting the correct `),Gt=s(ia,"CODE",{});var Wl=i(Gt);an=a(Wl,"config.position_embeddings_type"),Wl.forEach(t),nn=a(ia,"."),ia.forEach(t),K.forEach(t),Xr=h(o),J=s(o,"P",{});var Pt=i(J);sn=a(Pt,"This model was contributed by "),mo=s(Pt,"A",{href:!0,rel:!0});var jl=i(mo);ln=a(jl,"patrickvonplaten"),jl.forEach(t),cn=a(Pt,`.
The original code can be found `),po=s(Pt,"A",{href:!0,rel:!0});var xl=i(po);dn=a(xl,"here"),xl.forEach(t),mn=a(Pt,"."),Pt.forEach(t),Br=h(o),ce=s(o,"H2",{class:!0});var la=i(ce);qe=s(la,"A",{id:!0,class:!0,href:!0});var Fl=i(qe);Jt=s(Fl,"SPAN",{});var ql=i(Jt);C(fo.$$.fragment,ql),ql.forEach(t),Fl.forEach(t),pn=h(la),Yt=s(la,"SPAN",{});var El=i(Yt);fn=a(El,"Wav2Vec2ConformerConfig"),El.forEach(t),la.forEach(t),Hr=h(o),L=s(o,"DIV",{class:!0});var ro=i(L);C(ho.$$.fragment,ro),hn=h(ro),de=s(ro,"P",{});var Mt=i(de);un=a(Mt,"This is the configuration class to store the configuration of a "),_t=s(Mt,"A",{href:!0});var Pl=i(_t);gn=a(Pl,"Wav2Vec2ConformerModel"),Pl.forEach(t),_n=a(Mt,`. It is used to
instantiate an Wav2Vec2Conformer model according to the specified arguments, defining the model architecture.
Instantiating a configuration with the defaults will yield a similar configuration to that of the Wav2Vec2Conformer
`),uo=s(Mt,"A",{href:!0,rel:!0});var Ml=i(uo);vn=a(Ml,"facebook/wav2vec2-conformer-rel-pos-large"),Ml.forEach(t),bn=a(Mt,`
architecture.`),Mt.forEach(t),wn=h(ro),me=s(ro,"P",{});var At=i(me);Cn=a(At,"Configuration objects inherit from "),vt=s(At,"A",{href:!0});var Al=i(vt);yn=a(Al,"PretrainedConfig"),Al.forEach(t),$n=a(At,` and can be used to control the model outputs. Read the
documentation from `),bt=s(At,"A",{href:!0});var zl=i(bt);kn=a(zl,"PretrainedConfig"),zl.forEach(t),Tn=a(At," for more information."),At.forEach(t),Vn=h(ro),C(Ee.$$.fragment,ro),ro.forEach(t),Rr=h(o),pe=s(o,"H2",{class:!0});var ca=i(pe);Pe=s(ca,"A",{id:!0,class:!0,href:!0});var Sl=i(Pe);er=s(Sl,"SPAN",{});var Ol=i(er);C(go.$$.fragment,Ol),Ol.forEach(t),Sl.forEach(t),Wn=h(ca),or=s(ca,"SPAN",{});var Dl=i(or);jn=a(Dl,"Wav2Vec2Conformer specific outputs"),Dl.forEach(t),ca.forEach(t),Ur=h(o),fe=s(o,"DIV",{class:!0});var da=i(fe);C(_o.$$.fragment,da),xn=h(da),vo=s(da,"P",{});var ma=i(vo);Fn=a(ma,"Output type of "),wt=s(ma,"A",{href:!0});var Ll=i(wt);qn=a(Ll,"Wav2Vec2ConformerForPreTraining"),Ll.forEach(t),En=a(ma,", with potential hidden states and attentions."),ma.forEach(t),da.forEach(t),Zr=h(o),he=s(o,"H2",{class:!0});var pa=i(he);Me=s(pa,"A",{id:!0,class:!0,href:!0});var Nl=i(Me);tr=s(Nl,"SPAN",{});var Il=i(tr);C(bo.$$.fragment,Il),Il.forEach(t),Nl.forEach(t),Pn=h(pa),rr=s(pa,"SPAN",{});var Xl=i(rr);Mn=a(Xl,"Wav2Vec2ConformerModel"),Xl.forEach(t),pa.forEach(t),Qr=h(o),q=s(o,"DIV",{class:!0});var Y=i(q);C(wo.$$.fragment,Y),An=h(Y),Co=s(Y,"P",{});var fa=i(Co);zn=a(fa,`The bare Wav2Vec2Conformer Model transformer outputting raw hidden-states without any specific head on top.
Wav2Vec2Conformer was proposed in `),yo=s(fa,"A",{href:!0,rel:!0});var Bl=i(yo);Sn=a(Bl,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Bl.forEach(t),On=a(fa,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),fa.forEach(t),Dn=h(Y),$o=s(Y,"P",{});var ha=i($o);Ln=a(ha,"This model inherits from "),Ct=s(ha,"A",{href:!0});var Hl=i(Ct);Nn=a(Hl,"PreTrainedModel"),Hl.forEach(t),In=a(ha,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),ha.forEach(t),Xn=h(Y),ko=s(Y,"P",{});var ua=i(ko);Bn=a(ua,"This model is a PyTorch "),To=s(ua,"A",{href:!0,rel:!0});var Rl=i(To);Hn=a(Rl,"nn.Module"),Rl.forEach(t),Rn=a(ua,` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),ua.forEach(t),Un=h(Y),M=s(Y,"DIV",{class:!0});var ee=i(M);C(Vo.$$.fragment,ee),Zn=h(ee),ue=s(ee,"P",{});var zt=i(ue);Qn=a(zt,"The "),yt=s(zt,"A",{href:!0});var Ul=i(yt);Kn=a(Ul,"Wav2Vec2ConformerModel"),Ul.forEach(t),Gn=a(zt," forward method, overrides the "),ar=s(zt,"CODE",{});var Zl=i(ar);Jn=a(Zl,"__call__"),Zl.forEach(t),Yn=a(zt," special method."),zt.forEach(t),es=h(ee),C(Ae.$$.fragment,ee),os=h(ee),C(ze.$$.fragment,ee),ts=h(ee),C(Se.$$.fragment,ee),ee.forEach(t),Y.forEach(t),Kr=h(o),ge=s(o,"H2",{class:!0});var ga=i(ge);Oe=s(ga,"A",{id:!0,class:!0,href:!0});var Ql=i(Oe);nr=s(Ql,"SPAN",{});var Kl=i(nr);C(Wo.$$.fragment,Kl),Kl.forEach(t),Ql.forEach(t),rs=h(ga),sr=s(ga,"SPAN",{});var Gl=i(sr);as=a(Gl,"Wav2Vec2ConformerForCTC"),Gl.forEach(t),ga.forEach(t),Gr=h(o),E=s(o,"DIV",{class:!0});var oe=i(E);C(jo.$$.fragment,oe),ns=h(oe),_e=s(oe,"P",{});var St=i(_e);ss=a(St,"Wav2Vec2Conformer Model with a "),ir=s(St,"CODE",{});var Jl=i(ir);is=a(Jl,"language modeling"),Jl.forEach(t),ls=a(St,` head on top for Connectionist Temporal Classification (CTC).
Wav2Vec2Conformer was proposed in `),xo=s(St,"A",{href:!0,rel:!0});var Yl=i(xo);cs=a(Yl,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Yl.forEach(t),ds=a(St,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),St.forEach(t),ms=h(oe),Fo=s(oe,"P",{});var _a=i(Fo);ps=a(_a,"This model inherits from "),$t=s(_a,"A",{href:!0});var ec=i($t);fs=a(ec,"PreTrainedModel"),ec.forEach(t),hs=a(_a,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),_a.forEach(t),us=h(oe),qo=s(oe,"P",{});var va=i(qo);gs=a(va,"This model is a PyTorch "),Eo=s(va,"A",{href:!0,rel:!0});var oc=i(Eo);_s=a(oc,"nn.Module"),oc.forEach(t),vs=a(va,` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),va.forEach(t),bs=h(oe),A=s(oe,"DIV",{class:!0});var te=i(A);C(Po.$$.fragment,te),ws=h(te),ve=s(te,"P",{});var Ot=i(ve);Cs=a(Ot,"The "),kt=s(Ot,"A",{href:!0});var tc=i(kt);ys=a(tc,"Wav2Vec2ConformerForCTC"),tc.forEach(t),$s=a(Ot," forward method, overrides the "),lr=s(Ot,"CODE",{});var rc=i(lr);ks=a(rc,"__call__"),rc.forEach(t),Ts=a(Ot," special method."),Ot.forEach(t),Vs=h(te),C(De.$$.fragment,te),Ws=h(te),C(Le.$$.fragment,te),js=h(te),C(Ne.$$.fragment,te),te.forEach(t),oe.forEach(t),Jr=h(o),be=s(o,"H2",{class:!0});var ba=i(be);Ie=s(ba,"A",{id:!0,class:!0,href:!0});var ac=i(Ie);cr=s(ac,"SPAN",{});var nc=i(cr);C(Mo.$$.fragment,nc),nc.forEach(t),ac.forEach(t),xs=h(ba),dr=s(ba,"SPAN",{});var sc=i(dr);Fs=a(sc,"Wav2Vec2ConformerForSequenceClassification"),sc.forEach(t),ba.forEach(t),Yr=h(o),j=s(o,"DIV",{class:!0});var X=i(j);C(Ao.$$.fragment,X),qs=h(X),mr=s(X,"P",{});var ic=i(mr);Es=a(ic,`Wav2Vec2Conformer Model with a sequence classification head on top (a linear layer over the pooled output) for
tasks like SUPERB Keyword Spotting.`),ic.forEach(t),Ps=h(X),zo=s(X,"P",{});var wa=i(zo);Ms=a(wa,"Wav2Vec2Conformer was proposed in "),So=s(wa,"A",{href:!0,rel:!0});var lc=i(So);As=a(lc,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),lc.forEach(t),zs=a(wa,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),wa.forEach(t),Ss=h(X),Oo=s(X,"P",{});var Ca=i(Oo);Os=a(Ca,"This model inherits from "),Tt=s(Ca,"A",{href:!0});var cc=i(Tt);Ds=a(cc,"PreTrainedModel"),cc.forEach(t),Ls=a(Ca,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),Ca.forEach(t),Ns=h(X),Do=s(X,"P",{});var ya=i(Do);Is=a(ya,"This model is a PyTorch "),Lo=s(ya,"A",{href:!0,rel:!0});var dc=i(Lo);Xs=a(dc,"nn.Module"),dc.forEach(t),Bs=a(ya,` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),ya.forEach(t),Hs=h(X),z=s(X,"DIV",{class:!0});var re=i(z);C(No.$$.fragment,re),Rs=h(re),we=s(re,"P",{});var Dt=i(we);Us=a(Dt,"The "),Vt=s(Dt,"A",{href:!0});var mc=i(Vt);Zs=a(mc,"Wav2Vec2ConformerForSequenceClassification"),mc.forEach(t),Qs=a(Dt," forward method, overrides the "),pr=s(Dt,"CODE",{});var pc=i(pr);Ks=a(pc,"__call__"),pc.forEach(t),Gs=a(Dt," special method."),Dt.forEach(t),Js=h(re),C(Xe.$$.fragment,re),Ys=h(re),C(Be.$$.fragment,re),ei=h(re),C(He.$$.fragment,re),re.forEach(t),X.forEach(t),ea=h(o),Ce=s(o,"H2",{class:!0});var $a=i(Ce);Re=s($a,"A",{id:!0,class:!0,href:!0});var fc=i(Re);fr=s(fc,"SPAN",{});var hc=i(fr);C(Io.$$.fragment,hc),hc.forEach(t),fc.forEach(t),oi=h($a),hr=s($a,"SPAN",{});var uc=i(hr);ti=a(uc,"Wav2Vec2ConformerForAudioFrameClassification"),uc.forEach(t),$a.forEach(t),oa=h(o),x=s(o,"DIV",{class:!0});var B=i(x);C(Xo.$$.fragment,B),ri=h(B),ur=s(B,"P",{});var gc=i(ur);ai=a(gc,"Wav2Vec2Conformer Model with a frame classification head on top for tasks like Speaker Diarization."),gc.forEach(t),ni=h(B),Bo=s(B,"P",{});var ka=i(Bo);si=a(ka,"Wav2Vec2Conformer was proposed in "),Ho=s(ka,"A",{href:!0,rel:!0});var _c=i(Ho);ii=a(_c,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),_c.forEach(t),li=a(ka,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),ka.forEach(t),ci=h(B),Ro=s(B,"P",{});var Ta=i(Ro);di=a(Ta,"This model inherits from "),Wt=s(Ta,"A",{href:!0});var vc=i(Wt);mi=a(vc,"PreTrainedModel"),vc.forEach(t),pi=a(Ta,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),Ta.forEach(t),fi=h(B),Uo=s(B,"P",{});var Va=i(Uo);hi=a(Va,"This model is a PyTorch "),Zo=s(Va,"A",{href:!0,rel:!0});var bc=i(Zo);ui=a(bc,"nn.Module"),bc.forEach(t),gi=a(Va,` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),Va.forEach(t),_i=h(B),S=s(B,"DIV",{class:!0});var ae=i(S);C(Qo.$$.fragment,ae),vi=h(ae),ye=s(ae,"P",{});var Lt=i(ye);bi=a(Lt,"The "),jt=s(Lt,"A",{href:!0});var wc=i(jt);wi=a(wc,"Wav2Vec2ConformerForAudioFrameClassification"),wc.forEach(t),Ci=a(Lt," forward method, overrides the "),gr=s(Lt,"CODE",{});var Cc=i(gr);yi=a(Cc,"__call__"),Cc.forEach(t),$i=a(Lt," special method."),Lt.forEach(t),ki=h(ae),C(Ue.$$.fragment,ae),Ti=h(ae),C(Ze.$$.fragment,ae),Vi=h(ae),C(Qe.$$.fragment,ae),ae.forEach(t),B.forEach(t),ta=h(o),$e=s(o,"H2",{class:!0});var Wa=i($e);Ke=s(Wa,"A",{id:!0,class:!0,href:!0});var yc=i(Ke);_r=s(yc,"SPAN",{});var $c=i(_r);C(Ko.$$.fragment,$c),$c.forEach(t),yc.forEach(t),Wi=h(Wa),vr=s(Wa,"SPAN",{});var kc=i(vr);ji=a(kc,"Wav2Vec2ConformerForXVector"),kc.forEach(t),Wa.forEach(t),ra=h(o),F=s(o,"DIV",{class:!0});var H=i(F);C(Go.$$.fragment,H),xi=h(H),br=s(H,"P",{});var Tc=i(br);Fi=a(Tc,"Wav2Vec2Conformer Model with an XVector feature extraction head on top for tasks like Speaker Verification."),Tc.forEach(t),qi=h(H),Jo=s(H,"P",{});var ja=i(Jo);Ei=a(ja,"Wav2Vec2Conformer was proposed in "),Yo=s(ja,"A",{href:!0,rel:!0});var Vc=i(Yo);Pi=a(Vc,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Vc.forEach(t),Mi=a(ja,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),ja.forEach(t),Ai=h(H),et=s(H,"P",{});var xa=i(et);zi=a(xa,"This model inherits from "),xt=s(xa,"A",{href:!0});var Wc=i(xt);Si=a(Wc,"PreTrainedModel"),Wc.forEach(t),Oi=a(xa,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),xa.forEach(t),Di=h(H),ot=s(H,"P",{});var Fa=i(ot);Li=a(Fa,"This model is a PyTorch "),tt=s(Fa,"A",{href:!0,rel:!0});var jc=i(tt);Ni=a(jc,"nn.Module"),jc.forEach(t),Ii=a(Fa,` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),Fa.forEach(t),Xi=h(H),O=s(H,"DIV",{class:!0});var ne=i(O);C(rt.$$.fragment,ne),Bi=h(ne),ke=s(ne,"P",{});var Nt=i(ke);Hi=a(Nt,"The "),Ft=s(Nt,"A",{href:!0});var xc=i(Ft);Ri=a(xc,"Wav2Vec2ConformerForXVector"),xc.forEach(t),Ui=a(Nt," forward method, overrides the "),wr=s(Nt,"CODE",{});var Fc=i(wr);Zi=a(Fc,"__call__"),Fc.forEach(t),Qi=a(Nt," special method."),Nt.forEach(t),Ki=h(ne),C(Ge.$$.fragment,ne),Gi=h(ne),C(Je.$$.fragment,ne),Ji=h(ne),C(Ye.$$.fragment,ne),ne.forEach(t),H.forEach(t),aa=h(o),Te=s(o,"H2",{class:!0});var qa=i(Te);eo=s(qa,"A",{id:!0,class:!0,href:!0});var qc=i(eo);Cr=s(qc,"SPAN",{});var Ec=i(Cr);C(at.$$.fragment,Ec),Ec.forEach(t),qc.forEach(t),Yi=h(qa),yr=s(qa,"SPAN",{});var Pc=i(yr);el=a(Pc,"Wav2Vec2ConformerForPreTraining"),Pc.forEach(t),qa.forEach(t),na=h(o),P=s(o,"DIV",{class:!0});var se=i(P);C(nt.$$.fragment,se),ol=h(se),Ve=s(se,"P",{});var It=i(Ve);tl=a(It,"Wav2Vec2Conformer Model with a quantizer and "),$r=s(It,"CODE",{});var Mc=i($r);rl=a(Mc,"VQ"),Mc.forEach(t),al=a(It,` head on top.
Wav2Vec2Conformer was proposed in `),st=s(It,"A",{href:!0,rel:!0});var Ac=i(st);nl=a(Ac,`wav2vec 2.0: A Framework for Self-Supervised Learning of Speech
Representations`),Ac.forEach(t),sl=a(It,` by Alexei Baevski, Henry Zhou, Abdelrahman Mohamed, Michael
Auli.`),It.forEach(t),il=h(se),it=s(se,"P",{});var Ea=i(it);ll=a(Ea,"This model inherits from "),qt=s(Ea,"A",{href:!0});var zc=i(qt);cl=a(zc,"PreTrainedModel"),zc.forEach(t),dl=a(Ea,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving etc.).`),Ea.forEach(t),ml=h(se),lt=s(se,"P",{});var Pa=i(lt);pl=a(Pa,"This model is a PyTorch "),ct=s(Pa,"A",{href:!0,rel:!0});var Sc=i(ct);fl=a(Sc,"nn.Module"),Sc.forEach(t),hl=a(Pa,` sub-class. Use it as a
regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage and behavior.`),Pa.forEach(t),ul=h(se),I=s(se,"DIV",{class:!0});var ao=i(I);C(dt.$$.fragment,ao),gl=h(ao),We=s(ao,"P",{});var Xt=i(We);_l=a(Xt,"The "),Et=s(Xt,"A",{href:!0});var Oc=i(Et);vl=a(Oc,"Wav2Vec2ConformerForPreTraining"),Oc.forEach(t),bl=a(Xt," forward method, overrides the "),kr=s(Xt,"CODE",{});var Dc=i(kr);wl=a(Dc,"__call__"),Dc.forEach(t),Cl=a(Xt," special method."),Xt.forEach(t),yl=h(ao),C(oo.$$.fragment,ao),$l=h(ao),C(to.$$.fragment,ao),ao.forEach(t),se.forEach(t),this.h()},h(){m(c,"name","hf:doc:metadata"),m(c,"content",JSON.stringify(dd)),m(p,"id","wav2vec2conformer"),m(p,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(p,"href","#wav2vec2conformer"),m(d,"class","relative group"),m(je,"id","overview"),m(je,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(je,"href","#overview"),m(le,"class","relative group"),m(so,"href","https://arxiv.org/abs/2010.05171"),m(so,"rel","nofollow"),m(io,"href","https://github.com/pytorch/fairseq/blob/main/examples/wav2vec/README.md#pre-trained-models"),m(io,"rel","nofollow"),m(lo,"href","https://arxiv.org/abs/2005.08100"),m(lo,"rel","nofollow"),m(mo,"href","https://huggingface.co/patrickvonplaten"),m(mo,"rel","nofollow"),m(po,"href","https://github.com/pytorch/fairseq/tree/main/examples/wav2vec"),m(po,"rel","nofollow"),m(qe,"id","transformers.Wav2Vec2ConformerConfig"),m(qe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(qe,"href","#transformers.Wav2Vec2ConformerConfig"),m(ce,"class","relative group"),m(_t,"href","/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerModel"),m(uo,"href","https://huggingface.co/facebook/wav2vec2-conformer-rel-pos-large"),m(uo,"rel","nofollow"),m(vt,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),m(bt,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),m(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Pe,"id","transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput"),m(Pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Pe,"href","#transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput"),m(pe,"class","relative group"),m(wt,"href","/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerForPreTraining"),m(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Me,"id","transformers.Wav2Vec2ConformerModel"),m(Me,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Me,"href","#transformers.Wav2Vec2ConformerModel"),m(he,"class","relative group"),m(yo,"href","https://arxiv.org/abs/2006.11477"),m(yo,"rel","nofollow"),m(Ct,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),m(To,"href","https://pytorch.org/docs/stable/nn.html#nn.Module"),m(To,"rel","nofollow"),m(yt,"href","/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerModel"),m(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Oe,"id","transformers.Wav2Vec2ConformerForCTC"),m(Oe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Oe,"href","#transformers.Wav2Vec2ConformerForCTC"),m(ge,"class","relative group"),m(xo,"href","https://arxiv.org/abs/2006.11477"),m(xo,"rel","nofollow"),m($t,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),m(Eo,"href","https://pytorch.org/docs/stable/nn.html#nn.Module"),m(Eo,"rel","nofollow"),m(kt,"href","/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerForCTC"),m(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Ie,"id","transformers.Wav2Vec2ConformerForSequenceClassification"),m(Ie,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Ie,"href","#transformers.Wav2Vec2ConformerForSequenceClassification"),m(be,"class","relative group"),m(So,"href","https://arxiv.org/abs/2006.11477"),m(So,"rel","nofollow"),m(Tt,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),m(Lo,"href","https://pytorch.org/docs/stable/nn.html#nn.Module"),m(Lo,"rel","nofollow"),m(Vt,"href","/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerForSequenceClassification"),m(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Re,"id","transformers.Wav2Vec2ConformerForAudioFrameClassification"),m(Re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Re,"href","#transformers.Wav2Vec2ConformerForAudioFrameClassification"),m(Ce,"class","relative group"),m(Ho,"href","https://arxiv.org/abs/2006.11477"),m(Ho,"rel","nofollow"),m(Wt,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),m(Zo,"href","https://pytorch.org/docs/stable/nn.html#nn.Module"),m(Zo,"rel","nofollow"),m(jt,"href","/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerForAudioFrameClassification"),m(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(Ke,"id","transformers.Wav2Vec2ConformerForXVector"),m(Ke,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(Ke,"href","#transformers.Wav2Vec2ConformerForXVector"),m($e,"class","relative group"),m(Yo,"href","https://arxiv.org/abs/2006.11477"),m(Yo,"rel","nofollow"),m(xt,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),m(tt,"href","https://pytorch.org/docs/stable/nn.html#nn.Module"),m(tt,"rel","nofollow"),m(Ft,"href","/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerForXVector"),m(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(eo,"id","transformers.Wav2Vec2ConformerForPreTraining"),m(eo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),m(eo,"href","#transformers.Wav2Vec2ConformerForPreTraining"),m(Te,"class","relative group"),m(st,"href","https://arxiv.org/abs/2006.11477"),m(st,"rel","nofollow"),m(qt,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),m(ct,"href","https://pytorch.org/docs/stable/nn.html#nn.Module"),m(ct,"rel","nofollow"),m(Et,"href","/docs/transformers/main/en/model_doc/wav2vec2-conformer#transformers.Wav2Vec2ConformerForPreTraining"),m(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),m(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,g){e(document.head,c),v(o,_,g),v(o,d,g),e(d,p),e(p,b),y(l,b,null),e(d,u),e(d,W),e(W,Ma),v(o,Sr,g),v(o,le,g),e(le,je),e(je,Ht),y(no,Ht,null),e(le,Aa),e(le,Rt),e(Rt,za),v(o,Or,g),v(o,xe,g),e(xe,Sa),e(xe,so),e(so,Oa),e(xe,Da),v(o,Dr,g),v(o,ut,g),e(ut,La),v(o,Lr,g),v(o,Fe,g),e(Fe,Na),e(Fe,io),e(io,Ia),e(Fe,Xa),v(o,Nr,g),v(o,gt,g),e(gt,Ba),v(o,Ir,g),v(o,N,g),e(N,Q),e(Q,Ha),e(Q,Ut),e(Ut,Ra),e(Q,Ua),e(Q,Zt),e(Zt,Za),e(Q,Qa),e(Q,lo),e(lo,Ka),e(Q,Ga),e(N,Ja),e(N,Qt),e(Qt,Ya),e(N,en),e(N,Kt),e(Kt,on),e(N,tn),e(N,co),e(co,rn),e(co,Gt),e(Gt,an),e(co,nn),v(o,Xr,g),v(o,J,g),e(J,sn),e(J,mo),e(mo,ln),e(J,cn),e(J,po),e(po,dn),e(J,mn),v(o,Br,g),v(o,ce,g),e(ce,qe),e(qe,Jt),y(fo,Jt,null),e(ce,pn),e(ce,Yt),e(Yt,fn),v(o,Hr,g),v(o,L,g),y(ho,L,null),e(L,hn),e(L,de),e(de,un),e(de,_t),e(_t,gn),e(de,_n),e(de,uo),e(uo,vn),e(de,bn),e(L,wn),e(L,me),e(me,Cn),e(me,vt),e(vt,yn),e(me,$n),e(me,bt),e(bt,kn),e(me,Tn),e(L,Vn),y(Ee,L,null),v(o,Rr,g),v(o,pe,g),e(pe,Pe),e(Pe,er),y(go,er,null),e(pe,Wn),e(pe,or),e(or,jn),v(o,Ur,g),v(o,fe,g),y(_o,fe,null),e(fe,xn),e(fe,vo),e(vo,Fn),e(vo,wt),e(wt,qn),e(vo,En),v(o,Zr,g),v(o,he,g),e(he,Me),e(Me,tr),y(bo,tr,null),e(he,Pn),e(he,rr),e(rr,Mn),v(o,Qr,g),v(o,q,g),y(wo,q,null),e(q,An),e(q,Co),e(Co,zn),e(Co,yo),e(yo,Sn),e(Co,On),e(q,Dn),e(q,$o),e($o,Ln),e($o,Ct),e(Ct,Nn),e($o,In),e(q,Xn),e(q,ko),e(ko,Bn),e(ko,To),e(To,Hn),e(ko,Rn),e(q,Un),e(q,M),y(Vo,M,null),e(M,Zn),e(M,ue),e(ue,Qn),e(ue,yt),e(yt,Kn),e(ue,Gn),e(ue,ar),e(ar,Jn),e(ue,Yn),e(M,es),y(Ae,M,null),e(M,os),y(ze,M,null),e(M,ts),y(Se,M,null),v(o,Kr,g),v(o,ge,g),e(ge,Oe),e(Oe,nr),y(Wo,nr,null),e(ge,rs),e(ge,sr),e(sr,as),v(o,Gr,g),v(o,E,g),y(jo,E,null),e(E,ns),e(E,_e),e(_e,ss),e(_e,ir),e(ir,is),e(_e,ls),e(_e,xo),e(xo,cs),e(_e,ds),e(E,ms),e(E,Fo),e(Fo,ps),e(Fo,$t),e($t,fs),e(Fo,hs),e(E,us),e(E,qo),e(qo,gs),e(qo,Eo),e(Eo,_s),e(qo,vs),e(E,bs),e(E,A),y(Po,A,null),e(A,ws),e(A,ve),e(ve,Cs),e(ve,kt),e(kt,ys),e(ve,$s),e(ve,lr),e(lr,ks),e(ve,Ts),e(A,Vs),y(De,A,null),e(A,Ws),y(Le,A,null),e(A,js),y(Ne,A,null),v(o,Jr,g),v(o,be,g),e(be,Ie),e(Ie,cr),y(Mo,cr,null),e(be,xs),e(be,dr),e(dr,Fs),v(o,Yr,g),v(o,j,g),y(Ao,j,null),e(j,qs),e(j,mr),e(mr,Es),e(j,Ps),e(j,zo),e(zo,Ms),e(zo,So),e(So,As),e(zo,zs),e(j,Ss),e(j,Oo),e(Oo,Os),e(Oo,Tt),e(Tt,Ds),e(Oo,Ls),e(j,Ns),e(j,Do),e(Do,Is),e(Do,Lo),e(Lo,Xs),e(Do,Bs),e(j,Hs),e(j,z),y(No,z,null),e(z,Rs),e(z,we),e(we,Us),e(we,Vt),e(Vt,Zs),e(we,Qs),e(we,pr),e(pr,Ks),e(we,Gs),e(z,Js),y(Xe,z,null),e(z,Ys),y(Be,z,null),e(z,ei),y(He,z,null),v(o,ea,g),v(o,Ce,g),e(Ce,Re),e(Re,fr),y(Io,fr,null),e(Ce,oi),e(Ce,hr),e(hr,ti),v(o,oa,g),v(o,x,g),y(Xo,x,null),e(x,ri),e(x,ur),e(ur,ai),e(x,ni),e(x,Bo),e(Bo,si),e(Bo,Ho),e(Ho,ii),e(Bo,li),e(x,ci),e(x,Ro),e(Ro,di),e(Ro,Wt),e(Wt,mi),e(Ro,pi),e(x,fi),e(x,Uo),e(Uo,hi),e(Uo,Zo),e(Zo,ui),e(Uo,gi),e(x,_i),e(x,S),y(Qo,S,null),e(S,vi),e(S,ye),e(ye,bi),e(ye,jt),e(jt,wi),e(ye,Ci),e(ye,gr),e(gr,yi),e(ye,$i),e(S,ki),y(Ue,S,null),e(S,Ti),y(Ze,S,null),e(S,Vi),y(Qe,S,null),v(o,ta,g),v(o,$e,g),e($e,Ke),e(Ke,_r),y(Ko,_r,null),e($e,Wi),e($e,vr),e(vr,ji),v(o,ra,g),v(o,F,g),y(Go,F,null),e(F,xi),e(F,br),e(br,Fi),e(F,qi),e(F,Jo),e(Jo,Ei),e(Jo,Yo),e(Yo,Pi),e(Jo,Mi),e(F,Ai),e(F,et),e(et,zi),e(et,xt),e(xt,Si),e(et,Oi),e(F,Di),e(F,ot),e(ot,Li),e(ot,tt),e(tt,Ni),e(ot,Ii),e(F,Xi),e(F,O),y(rt,O,null),e(O,Bi),e(O,ke),e(ke,Hi),e(ke,Ft),e(Ft,Ri),e(ke,Ui),e(ke,wr),e(wr,Zi),e(ke,Qi),e(O,Ki),y(Ge,O,null),e(O,Gi),y(Je,O,null),e(O,Ji),y(Ye,O,null),v(o,aa,g),v(o,Te,g),e(Te,eo),e(eo,Cr),y(at,Cr,null),e(Te,Yi),e(Te,yr),e(yr,el),v(o,na,g),v(o,P,g),y(nt,P,null),e(P,ol),e(P,Ve),e(Ve,tl),e(Ve,$r),e($r,rl),e(Ve,al),e(Ve,st),e(st,nl),e(Ve,sl),e(P,il),e(P,it),e(it,ll),e(it,qt),e(qt,cl),e(it,dl),e(P,ml),e(P,lt),e(lt,pl),e(lt,ct),e(ct,fl),e(lt,hl),e(P,ul),e(P,I),y(dt,I,null),e(I,gl),e(I,We),e(We,_l),e(We,Et),e(Et,vl),e(We,bl),e(We,kr),e(kr,wl),e(We,Cl),e(I,yl),y(oo,I,null),e(I,$l),y(to,I,null),sa=!0},p(o,[g]){const mt={};g&2&&(mt.$$scope={dirty:g,ctx:o}),Ee.$set(mt);const Tr={};g&2&&(Tr.$$scope={dirty:g,ctx:o}),Ae.$set(Tr);const Vr={};g&2&&(Vr.$$scope={dirty:g,ctx:o}),ze.$set(Vr);const Wr={};g&2&&(Wr.$$scope={dirty:g,ctx:o}),Se.$set(Wr);const pt={};g&2&&(pt.$$scope={dirty:g,ctx:o}),De.$set(pt);const jr={};g&2&&(jr.$$scope={dirty:g,ctx:o}),Le.$set(jr);const xr={};g&2&&(xr.$$scope={dirty:g,ctx:o}),Ne.$set(xr);const Fr={};g&2&&(Fr.$$scope={dirty:g,ctx:o}),Xe.$set(Fr);const ft={};g&2&&(ft.$$scope={dirty:g,ctx:o}),Be.$set(ft);const qr={};g&2&&(qr.$$scope={dirty:g,ctx:o}),He.$set(qr);const Er={};g&2&&(Er.$$scope={dirty:g,ctx:o}),Ue.$set(Er);const ht={};g&2&&(ht.$$scope={dirty:g,ctx:o}),Ze.$set(ht);const Pr={};g&2&&(Pr.$$scope={dirty:g,ctx:o}),Qe.$set(Pr);const Mr={};g&2&&(Mr.$$scope={dirty:g,ctx:o}),Ge.$set(Mr);const K={};g&2&&(K.$$scope={dirty:g,ctx:o}),Je.$set(K);const G={};g&2&&(G.$$scope={dirty:g,ctx:o}),Ye.$set(G);const Ar={};g&2&&(Ar.$$scope={dirty:g,ctx:o}),oo.$set(Ar);const zr={};g&2&&(zr.$$scope={dirty:g,ctx:o}),to.$set(zr)},i(o){sa||($(l.$$.fragment,o),$(no.$$.fragment,o),$(fo.$$.fragment,o),$(ho.$$.fragment,o),$(Ee.$$.fragment,o),$(go.$$.fragment,o),$(_o.$$.fragment,o),$(bo.$$.fragment,o),$(wo.$$.fragment,o),$(Vo.$$.fragment,o),$(Ae.$$.fragment,o),$(ze.$$.fragment,o),$(Se.$$.fragment,o),$(Wo.$$.fragment,o),$(jo.$$.fragment,o),$(Po.$$.fragment,o),$(De.$$.fragment,o),$(Le.$$.fragment,o),$(Ne.$$.fragment,o),$(Mo.$$.fragment,o),$(Ao.$$.fragment,o),$(No.$$.fragment,o),$(Xe.$$.fragment,o),$(Be.$$.fragment,o),$(He.$$.fragment,o),$(Io.$$.fragment,o),$(Xo.$$.fragment,o),$(Qo.$$.fragment,o),$(Ue.$$.fragment,o),$(Ze.$$.fragment,o),$(Qe.$$.fragment,o),$(Ko.$$.fragment,o),$(Go.$$.fragment,o),$(rt.$$.fragment,o),$(Ge.$$.fragment,o),$(Je.$$.fragment,o),$(Ye.$$.fragment,o),$(at.$$.fragment,o),$(nt.$$.fragment,o),$(dt.$$.fragment,o),$(oo.$$.fragment,o),$(to.$$.fragment,o),sa=!0)},o(o){k(l.$$.fragment,o),k(no.$$.fragment,o),k(fo.$$.fragment,o),k(ho.$$.fragment,o),k(Ee.$$.fragment,o),k(go.$$.fragment,o),k(_o.$$.fragment,o),k(bo.$$.fragment,o),k(wo.$$.fragment,o),k(Vo.$$.fragment,o),k(Ae.$$.fragment,o),k(ze.$$.fragment,o),k(Se.$$.fragment,o),k(Wo.$$.fragment,o),k(jo.$$.fragment,o),k(Po.$$.fragment,o),k(De.$$.fragment,o),k(Le.$$.fragment,o),k(Ne.$$.fragment,o),k(Mo.$$.fragment,o),k(Ao.$$.fragment,o),k(No.$$.fragment,o),k(Xe.$$.fragment,o),k(Be.$$.fragment,o),k(He.$$.fragment,o),k(Io.$$.fragment,o),k(Xo.$$.fragment,o),k(Qo.$$.fragment,o),k(Ue.$$.fragment,o),k(Ze.$$.fragment,o),k(Qe.$$.fragment,o),k(Ko.$$.fragment,o),k(Go.$$.fragment,o),k(rt.$$.fragment,o),k(Ge.$$.fragment,o),k(Je.$$.fragment,o),k(Ye.$$.fragment,o),k(at.$$.fragment,o),k(nt.$$.fragment,o),k(dt.$$.fragment,o),k(oo.$$.fragment,o),k(to.$$.fragment,o),sa=!1},d(o){t(c),o&&t(_),o&&t(d),T(l),o&&t(Sr),o&&t(le),T(no),o&&t(Or),o&&t(xe),o&&t(Dr),o&&t(ut),o&&t(Lr),o&&t(Fe),o&&t(Nr),o&&t(gt),o&&t(Ir),o&&t(N),o&&t(Xr),o&&t(J),o&&t(Br),o&&t(ce),T(fo),o&&t(Hr),o&&t(L),T(ho),T(Ee),o&&t(Rr),o&&t(pe),T(go),o&&t(Ur),o&&t(fe),T(_o),o&&t(Zr),o&&t(he),T(bo),o&&t(Qr),o&&t(q),T(wo),T(Vo),T(Ae),T(ze),T(Se),o&&t(Kr),o&&t(ge),T(Wo),o&&t(Gr),o&&t(E),T(jo),T(Po),T(De),T(Le),T(Ne),o&&t(Jr),o&&t(be),T(Mo),o&&t(Yr),o&&t(j),T(Ao),T(No),T(Xe),T(Be),T(He),o&&t(ea),o&&t(Ce),T(Io),o&&t(oa),o&&t(x),T(Xo),T(Qo),T(Ue),T(Ze),T(Qe),o&&t(ta),o&&t($e),T(Ko),o&&t(ra),o&&t(F),T(Go),T(rt),T(Ge),T(Je),T(Ye),o&&t(aa),o&&t(Te),T(at),o&&t(na),o&&t(P),T(nt),T(dt),T(oo),T(to)}}}const dd={local:"wav2vec2conformer",sections:[{local:"overview",title:"Overview"},{local:"transformers.Wav2Vec2ConformerConfig",title:"Wav2Vec2ConformerConfig"},{local:"transformers.models.wav2vec2_conformer.modeling_wav2vec2_conformer.Wav2Vec2ConformerForPreTrainingOutput",title:"Wav2Vec2Conformer specific outputs"},{local:"transformers.Wav2Vec2ConformerModel",title:"Wav2Vec2ConformerModel"},{local:"transformers.Wav2Vec2ConformerForCTC",title:"Wav2Vec2ConformerForCTC"},{local:"transformers.Wav2Vec2ConformerForSequenceClassification",title:"Wav2Vec2ConformerForSequenceClassification"},{local:"transformers.Wav2Vec2ConformerForAudioFrameClassification",title:"Wav2Vec2ConformerForAudioFrameClassification"},{local:"transformers.Wav2Vec2ConformerForXVector",title:"Wav2Vec2ConformerForXVector"},{local:"transformers.Wav2Vec2ConformerForPreTraining",title:"Wav2Vec2ConformerForPreTraining"}],title:"Wav2Vec2-Conformer"};function md(V){return Bc(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class vd extends Lc{constructor(c){super();Nc(this,c,md,cd,Ic,{})}}export{vd as default,dd as metadata};
